/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2003. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  HISTOC                          1
#define  HISTOC_CMD1_0                   2
#define  HISTOC_CONFIG_REGISTER2         3
#define  HISTOC_CONFIG_REGISTER1         4
#define  HISTOC_CMD0_0                   5
#define  HISTOC_CMD1_5                   6
#define  HISTOC_CMD1_4                   7
#define  HISTOC_CMD1_3                   8
#define  HISTOC_CMD1_2                   9
#define  HISTOC_CMD1_1                   10
#define  HISTOC_CMD0_5                   11
#define  HISTOC_CMD0_4                   12
#define  HISTOC_CMD0_3                   13
#define  HISTOC_DINCR1                   14
#define  HISTOC_CMD0_2                   15
#define  HISTOC_CMD0_1                   16
#define  HISTOC_DATA1_1                  17
#define  HISTOC_DATA1_5                  18
#define  HISTOC_DATA1_4                  19
#define  HISTOC_DATA1_3                  20
#define  HISTOC_DATA1_2                  21
#define  HISTOC_DATA1_0                  22
#define  HISTOC_CINCR1                   23
#define  HISTOC_CONFIG_SCT_SET           24
#define  HISTOC_DATA_SET                 25
#define  HISTOC_DISTR_TOGGLE             26
#define  HISTOC_GLBL_CTRL                27
#define  HISTOC_BIN_SIZE                 28
#define  HISTOC_DATA_FORMAT              29
#define  HISTOC_ARRANGEMENT              30
#define  HISTOC_DATA_PATH                31
#define  HISTOC_SYNC_LVL                 32
#define  HISTOC_PORT                     33
#define  HISTOC_DINCR0                   34
#define  HISTOC_DATA0_1                  35
#define  HISTOC_DATA0_5                  36
#define  HISTOC_DATA0_4                  37
#define  HISTOC_DATA0_3                  38
#define  HISTOC_DATA0_2                  39
#define  HISTOC_DATA0_0                  40
#define  HISTOC_CINCR0                   41
#define  HISTOC_BIN0                     42
#define  HISTOC_SLV3                     43
#define  HISTOC_NBINS                    44
#define  HISTOC_SLV2                     45
#define  HISTOC_SLV1                     46
#define  HISTOC_DATA_PTR_2               47
#define  HISTOC_EXT_SETUP                48
#define  HISTOC_HISTO_BASE               49
#define  HISTOC_DATA_PTR_1               50
#define  HISTOC_REP                      51
#define  HISTOC_SLV0                     52
#define  HISTOC_SAVE_BT                  53      /* callback function: save */
#define  HISTOC_LOAD_BT                  54      /* callback function: load */
#define  HISTOC_EXT_VIEWER               55      /* callback function: extView */
#define  HISTOC_CALL_LINE_LOOP           56
#define  HISTOC_USE_RANGE_LIST           57      /* callback function: histoCreate */
#define  HISTOC_MODULE_GROUP_3           58
#define  HISTOC_MODULE_GROUP_2           59
#define  HISTOC_MODULE_GROUP             60
#define  HISTOC_TABLE_2                  61
#define  HISTOC_GEN_DATA                 62
#define  HISTOC_TABLE_1                  63
#define  HISTOC_CAPTURE                  64      /* callback function: histoCreate */
#define  HISTOC_DEFAULT_1                65      /* callback function: histoCreate */
#define  HISTOC_INP_FILE_2               66      /* callback function: histoCreate */
#define  HISTOC_INP_FILE_1               67      /* callback function: histoCreate */
#define  HISTOC_TEXTBOX                  68
#define  HISTOC_TEXTMSG_14               69
#define  HISTOC_TEXTMSG_15               70
#define  HISTOC_TEXTMSG_16               71
#define  HISTOC_TEXTMSG_20               72
#define  HISTOC_TEXTMSG_22               73
#define  HISTOC_TEXTMSG_23               74
#define  HISTOC_TEXTMSG_21               75
#define  HISTOC_TEXTMSG                  76
#define  HISTOC_TEXTMSG_24               77
#define  HISTOC_TEXTMSG_25               78
#define  HISTOC_TEXTMSG_2                79
#define  HISTOC_TEXTMSG_26               80
#define  HISTOC_TEXTMSG_27               81
#define  HISTOC_TEXTMSG_28               82
#define  HISTOC_DECORATION_2             83
#define  HISTOC_TEXTMSG_29               84
#define  HISTOC_DECORATION               85
#define  HISTOC_TEXTMSG_3                86


     /* Menu Bars, Menus, and Menu Items: */

#define  MENU                            1
#define  MENU_HIDE                       2       /* callback function: menu */


     /* Callback Prototypes: */ 

int  CVICALLBACK extView(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK histoCreate(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK load(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK menu(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK save(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
