/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2003. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                           1
#define  PANEL_CMD1_0                    2
#define  PANEL_CONFIG_REGISTER_2         3
#define  PANEL_CONFIG_REGISTER           4
#define  PANEL_CMD0_0                    5
#define  PANEL_CMD1_5                    6
#define  PANEL_CMD1_4                    7
#define  PANEL_CMD1_3                    8
#define  PANEL_CMD1_2                    9
#define  PANEL_CMD1_1                    10
#define  PANEL_CMD0_5                    11
#define  PANEL_CMD0_4                    12
#define  PANEL_CMD0_3                    13
#define  PANEL_DINCR1                    14
#define  PANEL_CMD0_2                    15
#define  PANEL_CMD0_1                    16
#define  PANEL_DATA1_1                   17
#define  PANEL_DATA1_5                   18
#define  PANEL_DATA1_4                   19
#define  PANEL_DATA1_3                   20
#define  PANEL_DATA1_2                   21
#define  PANEL_DATA1_0                   22
#define  PANEL_CINCR1                    23
#define  PANEL_CONFIG_SCT_SET            24
#define  PANEL_DATA_SET                  25
#define  PANEL_DISTR_TOGGLE              26
#define  PANEL_GLBL_CTRL                 27
#define  PANEL_BIN_SIZE                  28
#define  PANEL_DATA_FORMAT               29
#define  PANEL_ARRANGEMENT               30
#define  PANEL_DATA_PATH                 31
#define  PANEL_SYNC_LVL                  32
#define  PANEL_PORT                      33
#define  PANEL_DINCR0                    34
#define  PANEL_DATA0_1                   35
#define  PANEL_DATA0_5                   36
#define  PANEL_DATA0_4                   37
#define  PANEL_DATA0_3                   38
#define  PANEL_DATA0_2                   39
#define  PANEL_DATA0_0                   40
#define  PANEL_CINCR0                    41
#define  PANEL_BIN0                      42
#define  PANEL_SLV3                      43
#define  PANEL_NBINS                     44
#define  PANEL_SLV2                      45
#define  PANEL_SLV1                      46
#define  PANEL_DATA_PTR_2                47
#define  PANEL_EXT_SETUP                 48
#define  PANEL_HISTO_BASE                49
#define  PANEL_DATA_PTR_1                50
#define  PANEL_REP                       51
#define  PANEL_SLV0                      52
#define  PANEL_SAVE_BT                   53      /* callback function: save */
#define  PANEL_LOAD_BT                   54      /* callback function: load */
#define  PANEL_EXT_VIEWER                55      /* callback function: extView */
#define  PANEL_CALL_LINE_LOOP            56
#define  PANEL_USE_RANGE_LIST            57      /* callback function: histoCreate */
#define  PANEL_MODULE_GROUP_3            58
#define  PANEL_MODULE_GROUP_2            59
#define  PANEL_MODULE_GROUP              60
#define  PANEL_TABLE_2                   61
#define  PANEL_GEN_DATA                  62
#define  PANEL_TABLE_1                   63
#define  PANEL_CAPTURE                   64      /* callback function: histoCreate */
#define  PANEL_DEFAULT_1                 65      /* callback function: histoCreate */
#define  PANEL_INP_FILE_2                66      /* callback function: histoCreate */
#define  PANEL_INP_FILE_1                67      /* callback function: histoCreate */
#define  PANEL_TEXTBOX                   68
#define  PANEL_TEXTMSG_14                69
#define  PANEL_TEXTMSG_15                70
#define  PANEL_TEXTMSG_16                71
#define  PANEL_TEXTMSG_20                72
#define  PANEL_TEXTMSG_22                73
#define  PANEL_TEXTMSG_23                74
#define  PANEL_TEXTMSG_21                75
#define  PANEL_TEXTMSG                   76
#define  PANEL_TEXTMSG_24                77
#define  PANEL_TEXTMSG_25                78
#define  PANEL_TEXTMSG_2                 79
#define  PANEL_TEXTMSG_26                80
#define  PANEL_TEXTMSG_27                81
#define  PANEL_TEXTMSG_28                82
#define  PANEL_DECORATION_2              83
#define  PANEL_TEXTMSG_29                84
#define  PANEL_DECORATION                85


     /* Menu Bars, Menus, and Menu Items: */

#define  MENU                            1
#define  MENU_EXIT                       2       /* callback function: menu */


     /* Callback Prototypes: */ 

int  CVICALLBACK extView(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK histoCreate(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK load(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK menu(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK save(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
