/****************************************************************************** 
 *  Title  : commandFunc_delay.h 
 *  Version 0.0
 *   
 *  Description: header file 
 *  Related files: commandFunc_delay.c
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef COMMAND_DELAY	 /* multiple inclusion protection */
#define COMMAND_DELAY
 
/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/



/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/


/******************************************************************************
 *                           Type definitions                                 *
 ******************************************************************************/

/*
 * Command parameters 
 */

struct DELAY_PARAMS {

	  float delayInSeconds; /* delay in seconds, resolution 1ms */
	  
};

/******************************************************************************/ 

#endif /* COMMAND_DELAY */

#ifdef COMMAND_FUNC_DEFINED
#include "commandListDefinitions.h"

COMMAND_FUNCTION_TYPE commandFunction_delay; 
#endif
