/******************************************************************************
 * 
 *  Title  : commandStatusMessage.h 
 *  Version 0.0, 
 *   
 *  Description: header file.    
 *  Related files: commandStatusMessage.c
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef COMMAND_STATUS_MESSAGE_H	 /* multiple inclusion protection */
#define COMMAND_STATUS_MESSAGE_H

/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/

#include "errorCodesRcc.h"    
#include "hostDefinitions.h"

/******************************************************************************
 *                      Global Function Declarations                          *
 ******************************************************************************/

ERROR_ID commandStatusMessage(struct HOST *host, char commandStatusFileName[], char inputText[]);	
	
/******************************************************************************/

#endif /* COMMAND_STATUS_MESSAGE_H */
