/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2004. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  HISTOC                          1
#define  HISTOC_SERIAL_CMD1_0            2
#define  HISTOC_SERIAL_CMD0_0            3
#define  HISTOC_GEN_SCAN_PARAM_1         4
#define  HISTOC_GEN_SCAN_PARAM_0         5
#define  HISTOC_SERIAL_CMD1_5            6
#define  HISTOC_SERIAL_CMD1_4            7
#define  HISTOC_SERIAL_CMD1_3            8
#define  HISTOC_SERIAL_CMD1_2            9
#define  HISTOC_SERIAL_CMD1_1            10
#define  HISTOC_SERIAL_CMD0_5            11
#define  HISTOC_SERIAL_CMD0_4            12
#define  HISTOC_SERIAL_CMD0_3            13
#define  HISTOC_SERIAL_CMD0_2            14
#define  HISTOC_SERIAL_CMD0_1            15
#define  HISTOC_SERIAL_DATA1_1           16
#define  HISTOC_SERIAL_DATA1_5           17
#define  HISTOC_SERIAL_DATA1_4           18
#define  HISTOC_SERIAL_DATA1_3           19
#define  HISTOC_SERIAL_DATA1_2           20
#define  HISTOC_SERIAL_DATA1_0           21
#define  HISTOC_GEN_MODULE_SCAN_MODE     22
#define  HISTOC_GEN_MASK_MODE            23
#define  HISTOC_GEN_CONFIG_SET           24
#define  HISTOC_SERIAL_PORT              25
#define  HISTOC_SERIAL_DATA0_1           26
#define  HISTOC_SERIAL_DATA0_5           27
#define  HISTOC_SERIAL_DATA0_4           28
#define  HISTOC_GEN_STAGE_PATTERN        29
#define  HISTOC_BIN_SIZE                 30
#define  HISTOC_GEN_STAGE_MODE           31
#define  HISTOC_SERIAL_DATA0_3           32
#define  HISTOC_SERIAL_DATA0_2           33
#define  HISTOC_SERIAL_DATA0_0           34
#define  HISTOC_SAVE_BT                  35      /* callback function: save */
#define  HISTOC_LOAD_BT                  36      /* callback function: load */
#define  HISTOC_EXT_VIEWER               37      /* callback function: extView */
#define  HISTOC_DIST_DSP_MAP             38
#define  HISTOC_DIST_PORT_MAP            39
#define  HISTOC_DIST_RANGE_MAP           40
#define  HISTOC_SERIAL_CALC_STRUCT       41
#define  HISTOC_DIST_SLV3                42
#define  HISTOC_DIST_SLV2                43
#define  HISTOC_DIST_SLV1                44
#define  HISTOC_DIST_SLV0                45
#define  HISTOC_TEXTMSG_15               46
#define  HISTOC_TEXTMSG_16               47
#define  HISTOC_GEN_DFLT_PTR_1           48      /* callback function: histoCreate */
#define  HISTOC_SETUP_HISTO_BASE         49
#define  HISTOC_SETUP_EXT                50
#define  HISTOC_GEN_DFLT_PTR_0           51      /* callback function: histoCreate */
#define  HISTOC_GEN_UNIFORM_1            52      /* callback function: histoCreate */
#define  HISTOC_GEN_UNIFORM_0            53      /* callback function: histoCreate */
#define  HISTOC_SETUP_OPT_1              54
#define  HISTOC_SETUP_OPT_0              55
#define  HISTOC_SETUP_MCC_ERRORS         56
#define  HISTOC_SETUP_ERRORS             57
#define  HISTOC_GEN_STAGE_ADV_1ST        58
#define  HISTOC_RESET_LONG_SYNC          59
#define  HISTOC_RESET_MEDIUM_SYNC        60
#define  HISTOC_RESET_SHORT_SYNC         61
#define  HISTOC_RESET_SOFT_FE            62
#define  HISTOC_RESET_INIT_CFG           63
#define  HISTOC_RESET_BCR                64
#define  HISTOC_RESET_ECR                65
#define  HISTOC_MCC_CHECK_REGS           66
#define  HISTOC_RESET_BIN                67
#define  HISTOC_FE_HITBUS                68
#define  HISTOC_FIT_PXL_FDAC_TUNE        69
#define  HISTOC_FIT_PXL_TDAC_TUNE        70
#define  HISTOC_FIT_PXL_TOT_CURVES       71
#define  HISTOC_FIT_PXL_S_CURVES         72
#define  HISTOC_FE_DIGITAL               73
#define  HISTOC_TRIGGER_SELF             74
#define  HISTOC_GEN_GLOBAL_CTRL          75
#define  HISTOC_TEXTMSG_20               76
#define  HISTOC_TEXTMSG_22               77
#define  HISTOC_SETUP_EXT_TEXT           78
#define  HISTOC_TEXTMSG_23               79
#define  HISTOC_GEN_DATA_PTR_1           80
#define  HISTOC_GEN_DATA_PTR_0           81
#define  HISTOC_TEXTMSG_21               82
#define  HISTOC_GEN_NBINS_1              83
#define  HISTOC_SERIAL_CAL_L1A           84
#define  HISTOC_GEN_STAGE_0              85
#define  HISTOC_MCC_CROSS_CHECK          86
#define  HISTOC_FE_PHI                   87
#define  HISTOC_FE_TOT_LE_MODE           88
#define  HISTOC_FE_TOT_THRESHOLD_MIN     89
#define  HISTOC_FE_TOT_THRESHOLD_MODE    90
#define  HISTOC_FE_VCAL                  91
#define  HISTOC_MCC_CONTINUITY           92
#define  HISTOC_FIT_PXL_CUSTOM_OFFSET    93
#define  HISTOC_FIT_PXL_CUSTOM_SCALE     94
#define  HISTOC_FIT_PXL_CHI2_CUT         95
#define  HISTOC_FIT_PXL_CAL_OPTIONS      96
#define  HISTOC_FIT_PXL_TDAC_ALG         97
#define  HISTOC_MCC_BANDWIDTH            98
#define  HISTOC_TRIGGER_LATENCY          99
#define  HISTOC_TRIGGER_ACCEPTS          100     /* callback function: histoCreate */
#define  HISTOC_STROBE_DELAY_RANGE       101
#define  HISTOC_STROBE_DELAY             102
#define  HISTOC_DIST_DEFINED_GROUPS      103
#define  HISTOC_DIST_PAIR_11             104
#define  HISTOC_DIST_PAIR_10             105
#define  HISTOC_DIST_PAIR_01             106
#define  HISTOC_DIST_PAIR_00             107
#define  HISTOC_DIST_NPAIRS              108
#define  HISTOC_STROBE_DURATION          109
#define  HISTOC_SETUP_OPT_3              110
#define  HISTOC_SETUP_OPT_2              111
#define  HISTOC_GEN_N_STAGES             112
#define  HISTOC_GEN_NBINS_0              113
#define  HISTOC_GEN_END_1                114
#define  HISTOC_GEN_END_0                115
#define  HISTOC_GEN_START_1              116
#define  HISTOC_GEN_START_0              117
#define  HISTOC_GEN_REPETITIONS          118
#define  HISTOC_TEXTMSG_25               119
#define  HISTOC_GEN_INP_FILE_1           120     /* callback function: histoCreate */
#define  HISTOC_GEN_INP_FILE_0           121     /* callback function: histoCreate */
#define  HISTOC_SETUP_HEADER             122
#define  HISTOC_DIST_HEADER              123
#define  HISTOC_SERIAL_HEADER            124
#define  HISTOC_TEXTMSG_27               125
#define  HISTOC_TEXTMSG_28               126
#define  HISTOC_SERIAL_BOX               127
#define  HISTOC_TEXTMSG_24               128
#define  HISTOC_TEXTMSG_14               129
#define  HISTOC_GEN_IDX0                 130
#define  HISTOC_GEN_IDX1                 131
#define  HISTOC_GEN_INP_FILE_IDX0        132
#define  HISTOC_GEN_INP_FILE_IDX1        133
#define  HISTOC_GEN_BOX                  134
#define  HISTOC_GEN_HEADER               135
#define  HISTOC_STROBE_BOX               136
#define  HISTOC_STROBE_HEADER            137
#define  HISTOC_TRIGGER_BOX              138
#define  HISTOC_TRIGGER_HEADER           139
#define  HISTOC_RESET_BOX                140
#define  HISTOC_RESET_HEADER             141
#define  HISTOC_MCC_BOX                  142
#define  HISTOC_MCC_HEADER               143
#define  HISTOC_FIT_BOX                  144
#define  HISTOC_FE_BOX                   145
#define  HISTOC_FE_CAPTOGGLE             146
#define  HISTOC_FE_HEADER                147
#define  HISTOC_SETUP_DFLT_TXT           148
#define  HISTOC_SETUP_OPT_TXT            149
#define  HISTOC_SETUP_BOX                150
#define  HISTOC_DIST_BOX                 151
#define  HISTOC_FIT_HEADER               152


     /* Menu Bars, Menus, and Menu Items: */

#define  MENU                            1
#define  MENU_HIDE                       2       /* callback function: menu */


     /* Callback Prototypes: */ 

int  CVICALLBACK extView(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK histoCreate(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK load(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK menu(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK save(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
