/****************************************************************************** 
 *  Title  : primFunc_BOChisto.h 
 *  Version 0.0
 *   
 *  Description:   header file
 *  Related files: primFunc_BOChisto.c
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef PRIM_BOC_HIST_H	 /* multiple inclusion protection */
#define PRIM_BOC_HIST_H
 
/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/

#include "errorCodesRcc.h"
#include "primParams.h"

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/

/* 
 * primitive function revision number - should be equal to R_BOC_HISTOGRAM   
 * defined on the DSP side in primParams.h
 */

#define R_BOC_HISTOGRAM_HOST	100  
	
/******************************************************************************
 *                           Type definitions                                 *
 ******************************************************************************/


/******************************************************************************/ 

#endif /* PRIM_BOC_HIST_H */

#ifdef PRIM_FUNC_DEFINED
#include "globalDefinitions.h"

PRIM_FUNCTION_TYPE primFunction_BOChisto; 
#endif

