/****************************************************************************** 
 *  Title  : primFunc_RWBocData.h 
 *  Version 0.0
 *   
 *  Description:   header file
 *  Related files: primFunc_RWBocData.c
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef PRIM_RW_BOC_DATA_H	 /* multiple inclusion protection */
#define PRIM_RW_BOC_DATA_H
 
/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/

#include "fileUtility.h"
#include "primParams.h"

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/

/* 
 * primitive function revision number - should be equal to R_RW_BOC_DATA   
 * defined on the DSP side in primParams.h
 */

#define R_RW_BOC_DATA_HOST	100  
	

/******************************************************************************
 *                           Type definitions                                 *
 ******************************************************************************/
	
struct RW_BOC_DATA_PARAMS {

	struct RW_BOC_DATA_IN inputParams;

	char dataFileName[PATHNAME_LENGTH];

};

/******************************************************************************/ 

#endif /* PRIM_RW_BOC_DATA_H */

#ifdef PRIM_FUNC_DEFINED
#include "globalDefinitions.h"

PRIM_FUNCTION_TYPE primFunction_RWBocData; 
#endif
