/****************************************************************************** 
 *  Title  : primFunc_configSlave.h 
 *  Version 0.0
 *   
 *  Description:   header file
 *  Related files: primFunc_configSlave.c
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef CONFIG_SLAVE_H	 /* multiple inclusion protection */
#define CONFIG_SLAVE_H
 
/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/

#include "primParams.h"

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/

/* 
 * primitive function revision number - should be equal to R_CONFIG_SLAVE   
 * defined on the DSP side in primParams.h
 */

#define R_CONFIG_SLAVE_HOST	102  
	
/******************************************************************************
 *                           Type definitions                                 *
 ******************************************************************************/


/******************************************************************************/ 

#endif /* CONFIG_SLAVE_H */

#ifdef PRIM_FUNC_DEFINED
#include "globalDefinitions.h"

PRIM_FUNCTION_TYPE primFunction_configSlave; 
#endif

