/****************************************************************************** 
 *  Title  : primFunc_eventTrapSetup.h 
 *  Version 0.0
 *   
 *  Description:   header file
 *  Related files:  primFunc_eventTrapSetup.c
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef EVENT_TRAP_SETUP_H	 /* multiple inclusion protection */
#define EVENT_TRAP_SETUP_H
 
/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/

#include "primParams.h"

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/

/* 
 * primitive function revision number - should be equal to R_EVENT_TRAP_SETUP   
 * defined on the DSP side in primParams.h
 */

#define R_EVENT_TRAP_SETUP_HOST	103
	
/******************************************************************************
 *                           Type definitions                                 *
 ******************************************************************************/



/******************************************************************************/ 

#endif /* EVENT_TRAP_SETUP_H */

#ifdef PRIM_FUNC_DEFINED
#include "globalDefinitions.h"

PRIM_FUNCTION_TYPE primFunction_eventTrapSetup; 
#endif

