/****************************************************************************** 
 *  Title  : primFunc_setRodMode.h 
 *  Version 0.0
 *   
 *  Description:   header file
 *  Related files: primFunc_setRodMode.c
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef PRIM_SET_ROD_MODE_H	 /* multiple inclusion protection */
#define PRIM_SET_ROD_MODE_H
 
/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/

#include "fileUtility.h"
#include "primParams.h"

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/

/* 
 * primitive function revision number - should be equal to R_SET_ROD_MODE   
 * defined on the DSP side in primParams.h
 */

#define R_SET_ROD_MODE_HOST	101  
	

/******************************************************************************
 *                           Type definitions                                 *
 ******************************************************************************/

//struct SET_ROD_MODE_PARAMS {
//
//	struct SET_ROD_MODE_IN inputParams;
//
//	char inDataFileName[PATHNAME_LENGTH];
//
//};

/******************************************************************************/ 

#endif /* PRIM_SET_ROD_MODE_H */

#ifdef PRIM_FUNC_DEFINED
#include "globalDefinitions.h"

PRIM_FUNCTION_TYPE primFunction_setRodMode; 
#endif
