/****************************************************************************** 
 *  Title  : primFunc_startEventTrapping.h 
 *  Version 0.0
 *   
 *  Description: header file
 *  Related files: primFunc_startEventTrapping.c
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef PRIM_START_EVENT_TRAPPING_H	 /* multiple inclusion protection */
#define PRIM_START_EVENT_TRAPPING_H
 
/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/

#include "primParams.h"

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/

/* 
 * primitive function revision number - should be equal to R_START_EVENT_TRAPPING   
 * defined on the DSP side in primParams.h
 */

#define R_START_EVENT_TRAPPING_HOST	101  
	
/******************************************************************************
 *                           Type definitions                                 *
 ******************************************************************************/


/******************************************************************************/ 

#endif /* PRIM_START_EVENT_TRAPPING_H */

#ifdef PRIM_FUNC_DEFINED
#include "globalDefinitions.h"

PRIM_FUNCTION_TYPE primFunction_startEventTrapping; 
#endif

