/****************************************************************************** 
 *  Title  : primFunc_testGlobalReg.h 
 *  Version 0.0
 *   
 *  Description:   header file
 *  Related files: primFunc_testGlobalReg.c
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifdef PIXEL_ROD  


#ifndef PRIM_TEST_GLOBAL_REG_H	 /* multiple inclusion protection */
#define PRIM_TEST_GLOBAL_REG_H
 
/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/

#include "fileUtility.h"
#include "primParams.h"

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/

/* 
 * primitive function revision number - should be equal to R_TEST_GLOBAL_REG   
 * defined on the DSP side in primParams.h
 */

#define R_TEST_GLOBAL_REG_HOST	112  
	

/******************************************************************************
 *                           Type definitions                                 *
 ******************************************************************************/
	
struct TEST_GLOBAL_REG_PARAMS {

	struct TEST_GLOBAL_REG_IN inputParams;

	char outFileName[PATHNAME_LENGTH];

};

/******************************************************************************/ 

#endif /* PRIM_TEST_GLOBAL_REG_H */

#ifdef PRIM_FUNC_DEFINED
#include "globalDefinitions.h"

PRIM_FUNCTION_TYPE primFunction_testGlobalReg; 
#endif


#endif /* PIXEL_ROD */
