/****************************************************************************** 
 *  Title  : primFunc_writeBuffer.h 
 *  Version 0.0
 *   
 *  Description:   header file.
 *  Related files: primFunc_writeBuffer.c
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef PRIM_WRITE_BUFFER_H	 /* multiple inclusion protection */
#define PRIM_WRITE_BUFFER_H
 
/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/

#include "primParams.h"

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/

/* 
 * primitive function revision number - should be equal to R_WRITE_BUFFER  
 * defined on the DSP side in primParams.h
 */

#define R_WRITE_BUFFER_HOST	101  
	
/******************************************************************************
 *                           Type definitions                                 *
 ******************************************************************************/


/******************************************************************************/ 

#endif /* PRIM_STOP_TASK_H */

#ifdef PRIM_FUNC_DEFINED
#include "globalDefinitions.h"

PRIM_FUNCTION_TYPE primFunction_writeBuffer; 
#endif

