#if (!defined(SIM))
#ifndef COMMREGS_H	 /* multiple inclusion protection */
#define COMMREGS_H
#include "accessSlave.h"

//Inlined SDSP communication routines:

uint32 getSdspRegI(UINT32 sdsp, UINT32 addr) {
	writeSlvHPIA(sdsp, addr);
	return readSlvHPID(sdsp);
}

uint32 getSdspRegI2(UINT32 sdsp, UINT32 addr) {
	writeSdspHpia(sdsp, addr); //inlined.
	return readSdspHpid(sdsp); //inlined
}

uint32 getSdspRegI3(UINT32 sdsp, UINT32 addr) {
	*((UINT32 *) (SDSP_HPIA(sdsp)))= addr;
	waitArdy;

	return *((UINT32 *) (SDSP_HPID(sdsp)));
}

#endif   /* Multiple inclusion protection */
#endif
