/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2003. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  CLIST_EDIT                      1
#define  CLIST_EDIT_COMMAND_RING         2       /* callback function: commandRing */
#define  CLIST_EDIT_CLEAR_LIST           3       /* callback function: clistEditButtons */
#define  CLIST_EDIT_CLEAR_CLCOMM         4       /* callback function: clistEditButtons */
#define  CLIST_EDIT_CLEAR_CCOMM          5       /* callback function: clistEditButtons */
#define  CLIST_EDIT_SAVE_LIST            6       /* callback function: clistEditButtons */
#define  CLIST_EDIT_LOAD_LIST            7       /* callback function: clistEditButtons */
#define  CLIST_EDIT_INSERT_LIST          8       /* callback function: clistEditButtons */
#define  CLIST_EDIT_SEND_CLIST_TO_ROD    9       /* callback function: clistEditButtons */
#define  CLIST_EDIT_REPLACE              10      /* callback function: clistEditButtons */
#define  CLIST_EDIT_ADD_AFTER            11      /* callback function: clistEditButtons */
#define  CLIST_EDIT_ADD_BEFORE           12      /* callback function: clistEditButtons */
#define  CLIST_EDIT_EDIT_COMMAND         13      /* callback function: clistEditButtons */
#define  CLIST_EDIT_DELETE_COMMAND       14      /* callback function: clistEditButtons */
#define  CLIST_EDIT_LIST_TABLE           15      /* callback function: clistEditButtons */
#define  CLIST_EDIT_SLOT_NUMBER          16
#define  CLIST_EDIT_COMMAND_REPEAT       17
#define  CLIST_EDIT_COMMAND_COUNT        18
#define  CLIST_EDIT_CONT_IF_ERROR        19
#define  CLIST_EDIT_LAST_FILE            20
#define  CLIST_EDIT_CMD_COMMENT          21
#define  CLIST_EDIT_CLIST_COMMENT        22
#define  CLIST_EDIT_CLIST_REP            23
#define  CLIST_EDIT_DECORATION_3         24
#define  CLIST_EDIT_TEXTMSG_3            25
#define  CLIST_EDIT_TEXTMSG_4            26
#define  CLIST_EDIT_TEXTMSG              27
#define  CLIST_EDIT_TEXTMSG_5            28
#define  CLIST_EDIT_TEXTMSG_6            29


     /* Menu Bars, Menus, and Menu Items: */

#define  CLIST_MENU                      1
#define  CLIST_MENU_GOTO_MAIN            2       /* callback function: commandListEditMenu */
#define  CLIST_MENU_PRIM_LIST_EDIT       3       /* callback function: commandListEditMenu */
#define  CLIST_MENU_DATA_FILE_CREATOR    4       /* callback function: commandListEditMenu */
#define  CLIST_MENU_CLOSE                5       /* callback function: commandListEditMenu */


     /* Callback Prototypes: */ 

int  CVICALLBACK clistEditButtons(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK commandListEditMenu(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK commandRing(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
