/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2004. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  BOC_HIST                        1
#define  BOC_HIST_NUM_LOOPS              2
#define  BOC_HIST_NUM_SAMPLES            3
#define  BOC_HIST_DECORATION             4
#define  BOC_HIST_DECORATION_2           5
#define  BOC_HIST_TEXTMSG                6
#define  BOC_HIST_TEXTMSG_4              7
#define  BOC_HIST_TEXTMSG_2              8
#define  BOC_HIST_TEXTMSG_5              9
#define  BOC_HIST_TEXTMSG_3              10

#define  BUILD_STRM                      2
#define  BUILD_STRM_INP_FILE             2       /* callback function: buildStream */
#define  BUILD_STRM_INPUT_OPTION         3       /* callback function: buildStream */
#define  BUILD_STRM_DATA_LEN             4
#define  BUILD_STRM_MASK3                5
#define  BUILD_STRM_MASK2                6
#define  BUILD_STRM_MASK1                7
#define  BUILD_STRM_MASK0                8
#define  BUILD_STRM_RESET                9
#define  BUILD_STRM_CMD5                 10
#define  BUILD_STRM_CMD4                 11
#define  BUILD_STRM_CMD3                 12
#define  BUILD_STRM_CHIP                 13
#define  BUILD_STRM_CMD0                 14
#define  BUILD_STRM_CMD2                 15
#define  BUILD_STRM_CMD_BUFF             16
#define  BUILD_STRM_CMD1                 17
#define  BUILD_STRM_FIBRE                18
#define  BUILD_STRM_DATA1                19
#define  BUILD_STRM_DATA5                20
#define  BUILD_STRM_DATA4                21
#define  BUILD_STRM_DATA3                22
#define  BUILD_STRM_DATA2                23
#define  BUILD_STRM_DATA0                24
#define  BUILD_STRM_TEXTBOX              25
#define  BUILD_STRM_DECORATION           26
#define  BUILD_STRM_TEXTMSG_4            27
#define  BUILD_STRM_TEXTMSG_6            28
#define  BUILD_STRM_TEXTMSG_15           29
#define  BUILD_STRM_TEXTMSG_16           30
#define  BUILD_STRM_TEXTMSG_20           31
#define  BUILD_STRM_TEXTMSG_2            32
#define  BUILD_STRM_TEXTMSG_21           33

#define  CONFIG_SLV                      3
#define  CONFIG_SLV_ON_OFF               2
#define  CONFIG_SLV_SLV_ID               3
#define  CONFIG_SLV_TYPE                 4
#define  CONFIG_SLV_DECORATION           5
#define  CONFIG_SLV_TEXTMSG_4            6
#define  CONFIG_SLV_TEXTMSG_7            7

#define  CPY_MEMP                        4
#define  CPY_MEMP_SIZE                   2
#define  CPY_MEMP_DESTINATION            3       /* callback function: wordBoundary */
#define  CPY_MEMP_SOURCE                 4       /* callback function: wordBoundary */
#define  CPY_MEMP_DECORATION             5
#define  CPY_MEMP_TEXTMSG_4              6
#define  CPY_MEMP_TEXTMSG                7

#define  DSPRESETP                       5
#define  DSPRESETP_TIME_OUT              2
#define  DSPRESETP_NATTEMPTS             3
#define  DSPRESETP_FORCE_SYNC            4
#define  DSPRESETP_SLV1                  5
#define  DSPRESETP_SLV3                  6
#define  DSPRESETP_SLV0                  7
#define  DSPRESETP_SLV2                  8
#define  DSPRESETP_TEXTMSG_4             9
#define  DSPRESETP_DECORATION            10
#define  DSPRESETP_TEXTMSG_14            11

#define  EVENT_TRAP                      6
#define  EVENT_TRAP_TIMEOUT              2
#define  EVENT_TRAP_REM1                 3
#define  EVENT_TRAP_FUNC1                4
#define  EVENT_TRAP_ITER_LIMIT           5
#define  EVENT_TRAP_FUNC0                6
#define  EVENT_TRAP_REM0                 7
#define  EVENT_TRAP_MOD1                 8
#define  EVENT_TRAP_MOD0                 9
#define  EVENT_TRAP_MATCH1               10
#define  EVENT_TRAP_MATCH0               11
#define  EVENT_TRAP_NUM_EVENTS           12
#define  EVENT_TRAP_STRAY                13
#define  EVENT_TRAP_SLINK                14
#define  EVENT_TRAP_DATA_MODE            15
#define  EVENT_TRAP_EXC_FLAG1            16
#define  EVENT_TRAP_EXC_FLAG0            17
#define  EVENT_TRAP_PERMIT_BP            18
#define  EVENT_TRAP_EXT_ROUT_SET         19
#define  EVENT_TRAP_RELEASE              20
#define  EVENT_TRAP_DISTRIBUTE           21
#define  EVENT_TRAP_FORMAT               22
#define  EVENT_TRAP_CFG1                 23
#define  EVENT_TRAP_CFG0                 24
#define  EVENT_TRAP_SLV3                 25
#define  EVENT_TRAP_SLV2                 26
#define  EVENT_TRAP_SLV1                 27
#define  EVENT_TRAP_SLV0                 28
#define  EVENT_TRAP_DECORATION           29
#define  EVENT_TRAP_TEXTMSG_4            30
#define  EVENT_TRAP_DECORATION_2         31
#define  EVENT_TRAP_TEXTMSG              32
#define  EVENT_TRAP_TEXTMSG_7            33
#define  EVENT_TRAP_TEXTMSG_3            34
#define  EVENT_TRAP_TEXTMSG_10           35
#define  EVENT_TRAP_TEXTMSG_11           36
#define  EVENT_TRAP_TEXTMSG_12           37
#define  EVENT_TRAP_TEXTMSG_8            38
#define  EVENT_TRAP_TEXTMSG_2            39
#define  EVENT_TRAP_TEXTMSG_6            40
#define  EVENT_TRAP_TEXTMSG_13           41
#define  EVENT_TRAP_TEXTMSG_14           42
#define  EVENT_TRAP_TEXTMSG_9            43
#define  EVENT_TRAP_TEXTMSG_5            44

#define  FLASH_LEDP                      7
#define  FLASH_LEDP_NUM_TIMES            2
#define  FLASH_LEDP_PERIOD               3
#define  FLASH_LEDP_NUMBER               4
#define  FLASH_LEDP_TEXTMSG_4            5
#define  FLASH_LEDP_DECORATION           6
#define  FLASH_LEDP_TEXTMSG              7
#define  FLASH_LEDP_TEXTMSG_2            8
#define  FLASH_LEDP_TEXTMSG_5            9

#define  HIST_SETP                       8
#define  HIST_SETP_INP_FILE_2            2       /* callback function: histogramSetup */
#define  HIST_SETP_INP_FILE_1            3       /* callback function: histogramSetup */
#define  HIST_SETP_VALID_MODULES_0       4
#define  HIST_SETP_MODULE_RANGE_MAP_10   5
#define  HIST_SETP_MODULE_RANGE_MAP_11   6
#define  HIST_SETP_MODULE_RANGE_MAP_00   7
#define  HIST_SETP_VALID_MODULES_1       8
#define  HIST_SETP_MODULE_RANGE_MAP_01   9
#define  HIST_SETP_DATA_TYPE_2           10
#define  HIST_SETP_DATA_TYPE             11
#define  HIST_SETP_X_PTR_2               12
#define  HIST_SETP_X_PTR                 13
#define  HIST_SETP_BASE                  14
#define  HIST_SETP_OPT3                  15
#define  HIST_SETP_BINNING               16
#define  HIST_SETP_OPT1                  17
#define  HIST_SETP_ROUTINE               18
#define  HIST_SETP_BIN_SIZE              19
#define  HIST_SETP_OPT2                  20
#define  HIST_SETP_OPT0                  21
#define  HIST_SETP_DEFAULT_1             22      /* callback function: histogramSetup */
#define  HIST_SETP_TEXTMSG_4             23
#define  HIST_SETP_DECORATION            24
#define  HIST_SETP_DECORATION_2          25
#define  HIST_SETP_TEXTMSG_15            26
#define  HIST_SETP_TEXTMSG_7             27
#define  HIST_SETP_TEXTMSG_16            28
#define  HIST_SETP_TEXTMSG_3             29
#define  HIST_SETP_TXT_OPT0              30
#define  HIST_SETP_TXT_OPT1              31
#define  HIST_SETP_TXT_OPT2              32
#define  HIST_SETP_TXT_OPT3              33

#define  MDL_MASKP                       9
#define  MDL_MASKP_MASK_SET              2
#define  MDL_MASKP_STORAGE               3
#define  MDL_MASKP_PORT                  4
#define  MDL_MASKP_USE_SET               5
#define  MDL_MASKP_CFG                   6       /* callback function: moduleMask */
#define  MDL_MASKP_PASS                  7
#define  MDL_MASKP_SLV3                  8
#define  MDL_MASKP_DATA_LINE3            9
#define  MDL_MASKP_DATA_LINE2            10
#define  MDL_MASKP_DATA_LINE1            11
#define  MDL_MASKP_DATA_LINE0            12
#define  MDL_MASKP_CMD_LINE              13
#define  MDL_MASKP_MASK1                 14
#define  MDL_MASKP_MASK_TYPE             15
#define  MDL_MASKP_MASK0                 16
#define  MDL_MASKP_MODULE_NUM            17
#define  MDL_MASKP_SLV2                  18
#define  MDL_MASKP_SLV1                  19
#define  MDL_MASKP_SLV0                  20
#define  MDL_MASKP_TEXTMSG_4             21
#define  MDL_MASKP_DECORATION            22
#define  MDL_MASKP_TEXTMSG_14            23
#define  MDL_MASKP_TEXTMSG               24
#define  MDL_MASKP_TEXTMSG_2             25
#define  MDL_MASKP_TEXTMSG_3             26
#define  MDL_MASKP_TEXTMSG_5             27
#define  MDL_MASKP_TEXTMSG_15            28
#define  MDL_MASKP_TEXTMSG_16            29
#define  MDL_MASKP_TEXTMSG_17            30
#define  MDL_MASKP_TEXTMSG_18            31
#define  MDL_MASKP_TEXTMSG_20            32
#define  MDL_MASKP_TEXTMSG_21            33
#define  MDL_MASKP_TEXTMSG_22            34

#define  MEM_TEST                        10
#define  MEM_TEST_ERRORS                 2
#define  MEM_TEST_SIZE                   3
#define  MEM_TEST_NREADS                 4
#define  MEM_TEST_START_ADDR             5       /* callback function: wordBoundary */
#define  MEM_TEST_DMAFLAG                6
#define  MEM_TEST_CONTINUE               7
#define  MEM_TEST_REPETITIONS            8
#define  MEM_TEST_DECORATION             9
#define  MEM_TEST_DECORATION_2           10
#define  MEM_TEST_TEXTMSG                11
#define  MEM_TEST_TEXTMSG_4              12
#define  MEM_TEST_TEXTMSG_6              13
#define  MEM_TEST_TEXTMSG_2              14
#define  MEM_TEST_TEXTMSG_3              15
#define  MEM_TEST_TEXTMSG_7              16
#define  MEM_TEST_TEXTMSG_8              17
#define  MEM_TEST_TEXTMSG_9              18
#define  MEM_TEST_TEXTMSG_10             19
#define  MEM_TEST_TEXTMSG_11             20

#define  PANEL_ECHO                      11
#define  PANEL_ECHO_INP_FILE             2       /* callback function: echoParams */
#define  PANEL_ECHO_INPUT_OPTION         3       /* callback function: echoParams */
#define  PANEL_ECHO_TEST_PATTERN         4
#define  PANEL_ECHO_TEST_DATA_LENGTH     5       /* callback function: echoParams */
#define  PANEL_ECHO_DECORATION           6
#define  PANEL_ECHO_TEXTMSG_4            7
#define  PANEL_ECHO_TEXTMSG_2            8
#define  PANEL_ECHO_TEXTMSG_6            9

#define  PAUSE_L                         12
#define  PAUSE_L_DECORATION_2            2
#define  PAUSE_L_TEXTMSG                 3
#define  PAUSE_L_TEXTMSG_3               4

#define  POLL_FIELD                      13
#define  POLL_FIELD_TIMEOUT              2
#define  POLL_FIELD_DESIRED_VALUE        3       /* callback function: pollRegFieldParams */
#define  POLL_FIELD_OBJECT_ID            4
#define  POLL_FIELD_WIDTH                5
#define  POLL_FIELD_OFFSET               6
#define  POLL_FIELD_BIT_31               7       /* callback function: pollRegFieldParams */
#define  POLL_FIELD_BIT_30               8       /* callback function: pollRegFieldParams */
#define  POLL_FIELD_BASE_ID              9       /* callback function: pollRegFieldParams */
#define  POLL_FIELD_Z                    10      /* callback function: pollRegFieldParams */
#define  POLL_FIELD_Y                    11      /* callback function: pollRegFieldParams */
#define  POLL_FIELD_X                    12      /* callback function: pollRegFieldParams */
#define  POLL_FIELD_BIT_29               13      /* callback function: pollRegFieldParams */
#define  POLL_FIELD_BIT_28               14      /* callback function: pollRegFieldParams */
#define  POLL_FIELD_BIT_27               15      /* callback function: pollRegFieldParams */
#define  POLL_FIELD_BIT_26               16      /* callback function: pollRegFieldParams */
#define  POLL_FIELD_BIT_24               17      /* callback function: pollRegFieldParams */
#define  POLL_FIELD_BIT_25               18      /* callback function: pollRegFieldParams */
#define  POLL_FIELD_BIT_23               19      /* callback function: pollRegFieldParams */
#define  POLL_FIELD_BIT_22               20      /* callback function: pollRegFieldParams */
#define  POLL_FIELD_BIT_21               21      /* callback function: pollRegFieldParams */
#define  POLL_FIELD_BIT_20               22      /* callback function: pollRegFieldParams */
#define  POLL_FIELD_BIT_19               23      /* callback function: pollRegFieldParams */
#define  POLL_FIELD_BIT_18               24      /* callback function: pollRegFieldParams */
#define  POLL_FIELD_BIT_16               25      /* callback function: pollRegFieldParams */
#define  POLL_FIELD_BIT_17               26      /* callback function: pollRegFieldParams */
#define  POLL_FIELD_BIT_15               27      /* callback function: pollRegFieldParams */
#define  POLL_FIELD_BIT_14               28      /* callback function: pollRegFieldParams */
#define  POLL_FIELD_BIT_13               29      /* callback function: pollRegFieldParams */
#define  POLL_FIELD_BIT_12               30      /* callback function: pollRegFieldParams */
#define  POLL_FIELD_BIT_11               31      /* callback function: pollRegFieldParams */
#define  POLL_FIELD_BIT_10               32      /* callback function: pollRegFieldParams */
#define  POLL_FIELD_BIT_8                33      /* callback function: pollRegFieldParams */
#define  POLL_FIELD_BIT_9                34      /* callback function: pollRegFieldParams */
#define  POLL_FIELD_BIT_7                35      /* callback function: pollRegFieldParams */
#define  POLL_FIELD_BIT_6                36      /* callback function: pollRegFieldParams */
#define  POLL_FIELD_BIT_5                37      /* callback function: pollRegFieldParams */
#define  POLL_FIELD_BIT_4                38      /* callback function: pollRegFieldParams */
#define  POLL_FIELD_BIT_3                39      /* callback function: pollRegFieldParams */
#define  POLL_FIELD_BIT_2                40      /* callback function: pollRegFieldParams */
#define  POLL_FIELD_BIT_0                41      /* callback function: pollRegFieldParams */
#define  POLL_FIELD_BIT_1                42      /* callback function: pollRegFieldParams */
#define  POLL_FIELD_REG_BOX              43
#define  POLL_FIELD_DECORATION_2         44
#define  POLL_FIELD_TEXTMSG_4            45
#define  POLL_FIELD_TEXTMSG              46
#define  POLL_FIELD_TEXTMSG_7            47
#define  POLL_FIELD_DECORATION           48
#define  POLL_FIELD_TEXTMSG_8            49
#define  POLL_FIELD_TEXTMSG_2            50
#define  POLL_FIELD_TEXTMSG_3            51

#define  RW_BOCD                         14
#define  RW_BOCD_OUT_FILE                2
#define  RW_BOCD_DATA_LEN                3
#define  RW_BOCD_INP_FILE                4       /* callback function: RWBoc */
#define  RW_BOCD_READ_NOT_WRITE          5       /* callback function: RWBoc */
#define  RW_BOCD_SEND                    6
#define  RW_BOCD_DECORATION              7
#define  RW_BOCD_DECORATION_2            8
#define  RW_BOCD_TEXTMSG                 9
#define  RW_BOCD_TEXTMSG_4               10
#define  RW_BOCD_TEXTMSG_2               11
#define  RW_BOCD_TEXTMSG_6               12

#define  RW_FIELDP                       15
#define  RW_FIELDP_OUT_FILE              2       /* callback function: RWFieldParams */
#define  RW_FIELDP_DATA_IN               3       /* callback function: RWFieldParams */
#define  RW_FIELDP_OBJECT_ID             4
#define  RW_FIELDP_WIDTH                 5
#define  RW_FIELDP_OFFSET                6
#define  RW_FIELDP_OUTPUT_OPT            7       /* callback function: RWFieldParams */
#define  RW_FIELDP_READ_WRITE            8       /* callback function: RWFieldParams */
#define  RW_FIELDP_BASE_ID               9       /* callback function: RWFieldParams */
#define  RW_FIELDP_Z                     10      /* callback function: RWFieldParams */
#define  RW_FIELDP_Y                     11      /* callback function: RWFieldParams */
#define  RW_FIELDP_X                     12      /* callback function: RWFieldParams */
#define  RW_FIELDP_WRITE_OR_APPEND       13
#define  RW_FIELDP_BIT_31                14      /* callback function: RWFieldParams */
#define  RW_FIELDP_BIT_30                15      /* callback function: RWFieldParams */
#define  RW_FIELDP_BIT_29                16      /* callback function: RWFieldParams */
#define  RW_FIELDP_BIT_28                17      /* callback function: RWFieldParams */
#define  RW_FIELDP_BIT_27                18      /* callback function: RWFieldParams */
#define  RW_FIELDP_BIT_26                19      /* callback function: RWFieldParams */
#define  RW_FIELDP_BIT_24                20      /* callback function: RWFieldParams */
#define  RW_FIELDP_BIT_25                21      /* callback function: RWFieldParams */
#define  RW_FIELDP_BIT_23                22      /* callback function: RWFieldParams */
#define  RW_FIELDP_BIT_22                23      /* callback function: RWFieldParams */
#define  RW_FIELDP_BIT_21                24      /* callback function: RWFieldParams */
#define  RW_FIELDP_BIT_20                25      /* callback function: RWFieldParams */
#define  RW_FIELDP_BIT_19                26      /* callback function: RWFieldParams */
#define  RW_FIELDP_BIT_18                27      /* callback function: RWFieldParams */
#define  RW_FIELDP_BIT_16                28      /* callback function: RWFieldParams */
#define  RW_FIELDP_BIT_17                29      /* callback function: RWFieldParams */
#define  RW_FIELDP_BIT_15                30      /* callback function: RWFieldParams */
#define  RW_FIELDP_BIT_14                31      /* callback function: RWFieldParams */
#define  RW_FIELDP_BIT_13                32      /* callback function: RWFieldParams */
#define  RW_FIELDP_BIT_12                33      /* callback function: RWFieldParams */
#define  RW_FIELDP_BIT_11                34      /* callback function: RWFieldParams */
#define  RW_FIELDP_BIT_10                35      /* callback function: RWFieldParams */
#define  RW_FIELDP_BIT_8                 36      /* callback function: RWFieldParams */
#define  RW_FIELDP_BIT_9                 37      /* callback function: RWFieldParams */
#define  RW_FIELDP_BIT_7                 38      /* callback function: RWFieldParams */
#define  RW_FIELDP_BIT_6                 39      /* callback function: RWFieldParams */
#define  RW_FIELDP_BIT_5                 40      /* callback function: RWFieldParams */
#define  RW_FIELDP_BIT_4                 41      /* callback function: RWFieldParams */
#define  RW_FIELDP_BIT_3                 42      /* callback function: RWFieldParams */
#define  RW_FIELDP_BIT_2                 43      /* callback function: RWFieldParams */
#define  RW_FIELDP_BIT_0                 44      /* callback function: RWFieldParams */
#define  RW_FIELDP_BIT_1                 45      /* callback function: RWFieldParams */
#define  RW_FIELDP_REG_BOX               46
#define  RW_FIELDP_DECORATION_2          47
#define  RW_FIELDP_TEXTMSG               48
#define  RW_FIELDP_TEXTMSG_7             49
#define  RW_FIELDP_TEXTMSG_4             50
#define  RW_FIELDP_TEXTMSG_3             51
#define  RW_FIELDP_DECORATION            52
#define  RW_FIELDP_TEXTMSG_8             53
#define  RW_FIELDP_TEXTMSG_2             54

#define  RW_FIFOP                        16
#define  RW_FIFOP_OUT_FILE               2       /* callback function: RWFifoParams */
#define  RW_FIFOP_INP_FILE               3       /* callback function: RWFifoParams */
#define  RW_FIFOP_FS_TIM                 4
#define  RW_FIFOP_FS_EVENT_2             5
#define  RW_FIFOP_FS_EVENT               6
#define  RW_FIFOP_FS_DEBUG               7
#define  RW_FIFOP_FS_IN                  8
#define  RW_FIFOP_FILE_SIZE_OBSOLETE     9
#define  RW_FIFOP_NUM_ELEMENTS           10
#define  RW_FIFOP_OUTPUT_OPT             11      /* callback function: RWFifoParams */
#define  RW_FIFOP_READ_NOT_WRITE         12      /* callback function: RWFifoParams */
#define  RW_FIFOP_FIFO_ID_AND_BANK       13      /* callback function: RWFifoParams */
#define  RW_FIFOP_DECORATION             14
#define  RW_FIFOP_DECORATION_2           15
#define  RW_FIFOP_TEXTMSG                16
#define  RW_FIFOP_TEXTMSG_4              17
#define  RW_FIFOP_TEXTMSG_2              18
#define  RW_FIFOP_TEXTMSG_3              19
#define  RW_FIFOP_TEXTMSG_5              20
#define  RW_FIFOP_TEXTMSG_6              21
#define  RW_FIFOP_TEXTMSG_7              22
#define  RW_FIFOP_TEXTMSG_9              23
#define  RW_FIFOP_TEXTMSG_10             24
#define  RW_FIFOP_TEXTMSG_11             25
#define  RW_FIFOP_TEXTMSG_12             26

#define  RW_MODULEP                      17
#define  RW_MODULEP_OUT_FILE             2       /* callback function: RWmodule */
#define  RW_MODULEP_RX3                  3
#define  RW_MODULEP_RX2                  4
#define  RW_MODULEP_RX1                  5
#define  RW_MODULEP_RX0                  6
#define  RW_MODULEP_PTTC                 7
#define  RW_MODULEP_GROUP_ID             8
#define  RW_MODULEP_MODULE               9
#define  RW_MODULEP_INP_FILE             10      /* callback function: RWmodule */
#define  RW_MODULEP_STRUCT_ID            11
#define  RW_MODULEP_READ_NOT_WRITE       12      /* callback function: RWmodule */
#define  RW_MODULEP_ACTIVE               13
#define  RW_MODULEP_DECORATION           14
#define  RW_MODULEP_DECORATION_2         15
#define  RW_MODULEP_TEXTMSG              16
#define  RW_MODULEP_TEXTMSG_4            17
#define  RW_MODULEP_TEXTMSG_2            18

#define  RW_SLAVE                        18
#define  RW_SLAVE_OUT_FILE               2       /* callback function: RWSlaveMemory */
#define  RW_SLAVE_SLV_ID                 3
#define  RW_SLAVE_INP_FILE               4       /* callback function: RWSlaveMemory */
#define  RW_SLAVE_START_ADDRESS          5       /* callback function: wordBoundary */
#define  RW_SLAVE_NUM_BYTES              6
#define  RW_SLAVE_NUM_WORDS              7
#define  RW_SLAVE_READ_NOT_WRITE         8       /* callback function: RWSlaveMemory */
#define  RW_SLAVE_OUTPUT_OPT             9       /* callback function: RWSlaveMemory */
#define  RW_SLAVE_WRITE_OR_APPEND        10
#define  RW_SLAVE_DECORATION             11
#define  RW_SLAVE_TEXTMSG_4              12
#define  RW_SLAVE_DECORATION_3           13
#define  RW_SLAVE_TEXTMSG_9              14
#define  RW_SLAVE_TEXTMSG                15
#define  RW_SLAVE_TEXTMSG_6              16

#define  RWMODULVAR                      19
#define  RWMODULVAR_OUT_FILE             2       /* callback function: RWmoduleVar */
#define  RWMODULVAR_DATA_LEN             3
#define  RWMODULVAR_INP_FILE             4       /* callback function: RWmoduleVar */
#define  RWMODULVAR_MODULE               5
#define  RWMODULVAR_GROUP_ID             6
#define  RWMODULVAR_STRUCT_ID            7
#define  RWMODULVAR_READ_NOT_WRITE       8       /* callback function: RWmoduleVar */
#define  RWMODULVAR_VAR_TYPE             9
#define  RWMODULVAR_CHIP                 10
#define  RWMODULVAR_DECORATION_2         11
#define  RWMODULVAR_TEXTMSG              12
#define  RWMODULVAR_TEXTMSG_4            13
#define  RWMODULVAR_TEXTMSG_2            14
#define  RWMODULVAR_DECORATION           15
#define  RWMODULVAR_TEXTMSG_21           16
#define  RWMODULVAR_TEXTMSG_22           17
#define  RWMODULVAR_TEXTMSG_6            18

#define  SEND_CFGP                       20
#define  SEND_CFGP_MODULE1               2
#define  SEND_CFGP_MODULE0               3
#define  SEND_CFGP_CMD_BUFF              4
#define  SEND_CFGP_TYPE                  5
#define  SEND_CFGP_GROUP_ID              6
#define  SEND_CFGP_STRUCT_ID             7
#define  SEND_CFGP_ENABLE_DATA_TAKING    8
#define  SEND_CFGP_ACTIVE                9
#define  SEND_CFGP_RESTORE               10
#define  SEND_CFGP_SET_LINKS             11
#define  SEND_CFGP_CAP_SER_ON            12
#define  SEND_CFGP_CHIP                  13
#define  SEND_CFGP_DECORATION            14
#define  SEND_CFGP_TEXTMSG_4             15
#define  SEND_CFGP_TEXTMSG               16
#define  SEND_CFGP_TEXTMSG_2             17
#define  SEND_CFGP_TEXTMSG_5             18
#define  SEND_CFGP_TEXTMSG_21            19

#define  SEND_DATAP                      21
#define  SEND_DATAP_OUT_FILE             2       /* callback function: sendData */
#define  SEND_DATAP_AUX                  3
#define  SEND_DATAP_TIMEOUT              4
#define  SEND_DATAP_OUTPUT_OPT           5       /* callback function: sendData */
#define  SEND_DATAP_DATA_TYPE            6
#define  SEND_DATAP_REPBUFF_FLAG         7
#define  SEND_DATAP_DECORATION_2         8
#define  SEND_DATAP_TEXTMSG              9
#define  SEND_DATAP_TEXTMSG_4            10
#define  SEND_DATAP_DECORATION           11
#define  SEND_DATAP_TEXTMSG_3            12
#define  SEND_DATAP_TEXTMSG_2            13

#define  SEND_SLIST                      22
#define  SEND_SLIST_EDIT_SLAVE_LIST      2       /* callback function: editSlaveList */
#define  SEND_SLIST_SLV_ID               3
#define  SEND_SLIST_LIST_LENGTH          4
#define  SEND_SLIST_DECORATION           5
#define  SEND_SLIST_TEXTMSG_4            6
#define  SEND_SLIST_TEXTMSG_7            7
#define  SEND_SLIST_TEXTMSG              8

#define  SEND_STRM                       23
#define  SEND_STRM_CMD_BUFF              2
#define  SEND_STRM_CAP_SER_ON            3
#define  SEND_STRM_DECORATION            4
#define  SEND_STRM_TEXTMSG_4             5
#define  SEND_STRM_TEXTMSG_5             6

#define  SET_ERRMSK                      24
#define  SET_ERRMSK_ERRMSG_MASK          2
#define  SET_ERRMSK_DECORATION           3
#define  SET_ERRMSK_DECORATION_2         4
#define  SET_ERRMSK_TEXTMSG              5
#define  SET_ERRMSK_TEXTMSG_4            6
#define  SET_ERRMSK_TEXTMSG_6            7

#define  SET_LEDP                        25
#define  SET_LEDP_LED_STATE              2
#define  SET_LEDP_NUMBER                 3
#define  SET_LEDP_TEXTMSG_4              4
#define  SET_LEDP_DECORATION             5
#define  SET_LEDP_TEXTMSG_2              6
#define  SET_LEDP_TEXTMSG_5              7

#define  SET_MEMP                        26
#define  SET_MEMP_VALUE                  2
#define  SET_MEMP_SIZE                   3
#define  SET_MEMP_START_ADDR             4       /* callback function: wordBoundary */
#define  SET_MEMP_DECORATION             5
#define  SET_MEMP_TEXTMSG_4              6
#define  SET_MEMP_TEXTMSG                7

#define  SET_TRGP                        27
#define  SET_TRGP_CMD1_5                 2
#define  SET_TRGP_CMD1_4                 3
#define  SET_TRGP_CMD1_3                 4
#define  SET_TRGP_CMD1_2                 5
#define  SET_TRGP_CMD1_1                 6
#define  SET_TRGP_CMD1_0                 7
#define  SET_TRGP_CMD0_5                 8
#define  SET_TRGP_CMD0_4                 9
#define  SET_TRGP_CMD0_3                 10
#define  SET_TRGP_DINCR1                 11
#define  SET_TRGP_CHIP                   12
#define  SET_TRGP_CMD0_2                 13
#define  SET_TRGP_CMD0_1                 14
#define  SET_TRGP_DATA1_1                15
#define  SET_TRGP_DATA1_5                16
#define  SET_TRGP_DATA1_4                17
#define  SET_TRGP_DATA1_3                18
#define  SET_TRGP_DATA1_2                19
#define  SET_TRGP_DATA1_0                20
#define  SET_TRGP_CINCR1                 21
#define  SET_TRGP_CMD0_0                 22
#define  SET_TRGP_CMD_BUFF               23
#define  SET_TRGP_FIBRE                  24
#define  SET_TRGP_DINCR0                 25
#define  SET_TRGP_SET                    26
#define  SET_TRGP_BIN                    27
#define  SET_TRGP_DATA0_1                28
#define  SET_TRGP_DATA0_5                29
#define  SET_TRGP_DATA0_4                30
#define  SET_TRGP_DATA0_3                31
#define  SET_TRGP_DATA0_2                32
#define  SET_TRGP_DATA0_0                33
#define  SET_TRGP_CINCR0                 34
#define  SET_TRGP_DATAOFF1               35
#define  SET_TRGP_INTERVAL               36
#define  SET_TRGP_DATAOFF0               37
#define  SET_TRGP_REP                    38
#define  SET_TRGP_PREBUILT               39
#define  SET_TRGP_SLV1                   40
#define  SET_TRGP_SLV3                   41
#define  SET_TRGP_SLV0                   42
#define  SET_TRGP_SLV2                   43
#define  SET_TRGP_TEXTMSG_4              44
#define  SET_TRGP_TEXTMSG_15             45
#define  SET_TRGP_TEXTMSG_16             46
#define  SET_TRGP_TEXTMSG_2              47
#define  SET_TRGP_TEXTMSG_20             48
#define  SET_TRGP_TEXTMSG_22             49
#define  SET_TRGP_TEXTMSG_23             50
#define  SET_TRGP_DECORATION             51
#define  SET_TRGP_TEXTMSG_21             52
#define  SET_TRGP_TEXTMSG_14             53

#define  SETRODMODE                      28
#define  SETRODMODE_FLAG                 2
#define  SETRODMODE_NBITS                3
#define  SETRODMODE_DELAY                4
#define  SETRODMODE_EVENTS_PER_L1A       5
#define  SETRODMODE_MODE                 6
#define  SETRODMODE_MESSAGE              7
#define  SETRODMODE_FIFO_SETUP           8
#define  SETRODMODE_TEXTMSG_4            9
#define  SETRODMODE_TEXTMSG              10
#define  SETRODMODE_TEXTMSG_3            11
#define  SETRODMODE_TEXTMSG_2            12

#define  SLIST_OP                        29
#define  SLIST_OP_LIST_OP                2
#define  SLIST_OP_SLV_ID                 3
#define  SLIST_OP_DECORATION             4
#define  SLIST_OP_TEXTMSG_4              5
#define  SLIST_OP_TEXTMSG                6

#define  START_DATA                      30

#define  START_SLIS                      31
#define  START_SLIS_GET_SLAVE_REPLY      2
#define  START_SLIS_SLV_ID               3
#define  START_SLIS_PAUSE_MASTER_LIST    4
#define  START_SLIS_DECORATION           5
#define  START_SLIS_TEXTMSG_4            6

#define  START_SLV                       32
#define  START_SLV_TIMEOUT               2
#define  START_SLV_SLV_ID                3
#define  START_SLV_ON_OFF                4
#define  START_SLV_TYPE                  5
#define  START_SLV_DECORATION            6
#define  START_SLV_DECORATION_2          7
#define  START_SLV_TEXTMSG               8
#define  START_SLV_TEXTMSG_4             9
#define  START_SLV_TEXTMSG_6             10
#define  START_SLV_TEXTMSG_7             11
#define  START_SLV_TEXTMSG_2             12

#define  START_TSKP                      33
#define  START_TSKP_INP_FILE             2       /* callback function: taskType */
#define  START_TSKP_TASK_TYPE            3       /* callback function: taskType */
#define  START_TSKP_DEFAULT3             4
#define  START_TSKP_DEFAULT4             5
#define  START_TSKP_DEFAULT6             6
#define  START_TSKP_DEFAULT5             7
#define  START_TSKP_DEFAULT2             8
#define  START_TSKP_PRIORITY             9
#define  START_TSKP_HIST_CREATOR         10      /* callback function: taskType */
#define  START_TSKP_CMPL_FLAG            11
#define  START_TSKP_TASK_UNION           12
#define  START_TSKP_TEXTMSG_4            13
#define  START_TSKP_TEXTMSG_3            14
#define  START_TSKP_DECORATION           15
#define  START_TSKP_TEXTMSG_5            16

#define  STOP_DATA                       34

#define  TESTGREG                        35
#define  TESTGREG_OUT_FILE               2       /* callback function: TestGlobalReg */
#define  TESTGREG_FE_INDEX               3
#define  TESTGREG_MODULE_ID              4
#define  TESTGREG_STRUCT_ID              5
#define  TESTGREG_DECORATION             6
#define  TESTGREG_DECORATION_2           7
#define  TESTGREG_TEXTMSG                8
#define  TESTGREG_TEXTMSG_4              9

#define  TESTP                           36
#define  TESTP_INP_FILE                  2       /* callback function: test */
#define  TESTP_INPUT_OPTION              3       /* callback function: test */
#define  TESTP_DATA_LEN                  4
#define  TESTP_INP_TABLE                 5
#define  TESTP_DECORATION                6
#define  TESTP_DECORATION_2              7
#define  TESTP_TEXTMSG_4                 8
#define  TESTP_TEXTMSG_7                 9
#define  TESTP_TEXTMSG                   10
#define  TESTP_TEXTMSG_2                 11
#define  TESTP_TEXTMSG_6                 12

#define  TSK_OPER                        37
#define  TSK_OPER_OPER                   2
#define  TSK_OPER_DATA                   3
#define  TSK_OPER_TYPE                   4
#define  TSK_OPER_TEXTMSG_4              5
#define  TSK_OPER_DECORATION             6
#define  TSK_OPER_TEXTMSG_3              7
#define  TSK_OPER_DECORATION_2           8
#define  TSK_OPER_TEXTMSG                9
#define  TSK_OPER_TEXTMSG_7              10

#define  WR_BUFFP                        38
#define  WR_BUFFP_BUFFER                 2
#define  WR_BUFFP_STRING                 3
#define  WR_BUFFP_TEXTMSG_4              4
#define  WR_BUFFP_DECORATION             5
#define  WR_BUFFP_TEXTMSG                6

#define  X_SER_DATA                      39
#define  X_SER_DATA_P1_FILE              2       /* callback function: transSerial */
#define  X_SER_DATA_P0_FILE              3       /* callback function: transSerial */
#define  X_SER_DATA_P1_SETS              4
#define  X_SER_DATA_P0_SETS              5
#define  X_SER_DATA_P1_FILE_OPT          6       /* callback function: transSerial */
#define  X_SER_DATA_CAP_SER_ON           7
#define  X_SER_DATA_P0_FILE_OPT          8       /* callback function: transSerial */
#define  X_SER_DATA_TEXTMSG_4            9
#define  X_SER_DATA_DECORATION           10
#define  X_SER_DATA_TEXTMSG_6            11
#define  X_SER_DATA_TEXTMSG_3            12
#define  X_SER_DATA_TEXTMSG              13
#define  X_SER_DATA_TEXTMSG_2            14
#define  X_SER_DATA_TEXTMSG_7            15
#define  X_SER_DATA_TEXTMSG_8            16


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK buildStream(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK echoParams(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK editSlaveList(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK histogramSetup(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK moduleMask(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK pollRegFieldParams(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK RWBoc(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK RWFieldParams(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK RWFifoParams(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK RWmodule(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK RWmoduleVar(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK RWSlaveMemory(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK sendData(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK taskType(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK test(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK TestGlobalReg(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK transSerial(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK wordBoundary(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
