/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2011. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  TIMP                             1
#define  TIMP_SEND_BCR                    2       /* callback function: tim */
#define  TIMP_SEND_ECR                    3       /* callback function: tim */
#define  TIMP_SETUP_SEQ                   4       /* callback function: tim */
#define  TIMP_SETUP_TTC                   5       /* callback function: tim */
#define  TIMP_STOP_CONT_L1A               6       /* callback function: tim */
#define  TIMP_SEND_CONT_L1A               7       /* callback function: tim */
#define  TIMP_SET_CLK_200K                8       /* callback function: tim */
#define  TIMP_SET_CLK_150K                9       /* callback function: tim */
#define  TIMP_SET_CLK_120K                10      /* callback function: tim */
#define  TIMP_SET_CLK_100K                11      /* callback function: tim */
#define  TIMP_SET_CLK_300K                12      /* callback function: tim */
#define  TIMP_SET_CLK_50K                 13      /* callback function: tim */
#define  TIMP_SET_CLK_20K                 14      /* callback function: tim */
#define  TIMP_SET_CLK_1K                  15      /* callback function: tim */
#define  TIMP_SET_CLK_10K                 16      /* callback function: tim */
#define  TIMP_SEQ_GO                      17      /* callback function: tim */
#define  TIMP_SEND_L1A                    18      /* callback function: tim */
#define  TIMP_WRITE_WORD                  19      /* callback function: tim */
#define  TIMP_READ_DATA_WORD              20
#define  TIMP_READ_WORD                   21      /* callback function: tim */
#define  TIMP_WRITE_DATA_WORD             22      /* callback function: tim */
#define  TIMP_BC_QTY                      23
#define  TIMP_L1A_QTY                     24
#define  TIMP_WORD_ADDRESS                25
#define  TIMP_TIM_REGS                    26      /* callback function: tim */
#define  TIMP_RBIT_11                     27
#define  TIMP_BUTT_11                     28      /* callback function: tim */
#define  TIMP_RBIT_12                     29
#define  TIMP_BUTT_12                     30      /* callback function: tim */
#define  TIMP_RBIT_13                     31
#define  TIMP_BUTT_13                     32      /* callback function: tim */
#define  TIMP_RBIT_14                     33
#define  TIMP_BUTT_14                     34      /* callback function: tim */
#define  TIMP_RBIT_15                     35
#define  TIMP_BUTT_15                     36      /* callback function: tim */
#define  TIMP_RBIT_6                      37
#define  TIMP_BUTT_6                      38      /* callback function: tim */
#define  TIMP_RBIT_7                      39
#define  TIMP_BUTT_7                      40      /* callback function: tim */
#define  TIMP_RBIT_8                      41
#define  TIMP_BUTT_8                      42      /* callback function: tim */
#define  TIMP_RBIT_9                      43
#define  TIMP_BUTT_9                      44      /* callback function: tim */
#define  TIMP_RBIT_10                     45
#define  TIMP_BUTT_10                     46      /* callback function: tim */
#define  TIMP_RBIT_5                      47
#define  TIMP_BUTT_5                      48      /* callback function: tim */
#define  TIMP_RBIT_4                      49
#define  TIMP_BUTT_4                      50      /* callback function: tim */
#define  TIMP_RBIT_3                      51
#define  TIMP_BUTT_3                      52      /* callback function: tim */
#define  TIMP_RBIT_2                      53
#define  TIMP_BUTT_2                      54      /* callback function: tim */
#define  TIMP_RBIT_1                      55
#define  TIMP_BUTT_1                      56      /* callback function: tim */
#define  TIMP_RBIT_0                      57
#define  TIMP_BUTT_0                      58      /* callback function: tim */
#define  TIMP_TEXTBOX                     59
#define  TIMP_SPLITTER                    60
#define  TIMP_TRIG_FREQ                   61
#define  TIMP_TEXTMSG_71                  62
#define  TIMP_TEXTMSG_86                  63
#define  TIMP_TEXTMSG_72                  64
#define  TIMP_TEXTMSG_73                  65
#define  TIMP_TEXTMSG_74                  66
#define  TIMP_TEXTMSG_75                  67
#define  TIMP_TEXTMSG_80                  68
#define  TIMP_TEXTMSG_79                  69
#define  TIMP_TEXTMSG_78                  70
#define  TIMP_TEXTMSG_77                  71
#define  TIMP_TEXTMSG_76                  72
#define  TIMP_TEXTMSG_85                  73
#define  TIMP_TEXTMSG_84                  74
#define  TIMP_TEXTMSG_83                  75
#define  TIMP_TEXTMSG_82                  76
#define  TIMP_TEXTMSG_81                  77
#define  TIMP_TEXTMSG                     78
#define  TIMP_TEXTMSG_87                  79
#define  TIMP_TEXTMSG_88                  80


     /* Menu Bars, Menus, and Menu Items: */

#define  TIM_MENU                         1
#define  TIM_MENU_MAIN_WINDOW             2       /* callback function: timMenu */
#define  TIM_MENU_VME_WINDOW              3       /* callback function: timMenu */
#define  TIM_MENU_CLOSE                   4       /* callback function: timMenu */


     /* Callback Prototypes: */

int  CVICALLBACK tim(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK timMenu(int menubar, int menuItem, void *callbackData, int panel);


#ifdef __cplusplus
    }
#endif
