/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2003. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                           1
#define  PANEL_FILE                      2       /* callback function: inputFile */
#define  PANEL_CHAN4_8                   3
#define  PANEL_CHAN0_3                   4
#define  PANEL_TEXTMSG                   5
#define  PANEL_TEXTMSG_2                 6
#define  PANEL_TEXTMSG_3                 7


     /* Menu Bars, Menus, and Menu Items: */

#define  MENU                            1
#define  MENU_QUIT                       2       /* callback function: MenuQuit */


     /* Callback Prototypes: */ 

int  CVICALLBACK inputFile(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK MenuQuit(int menubar, int menuItem, void *callbackData, int panel);


#ifdef __cplusplus
    }
#endif
