/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2003. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  PANEL                           1
#define  PANEL_INIT_VALUE0               2
#define  PANEL_CURRENT_WORD              3
#define  PANEL_CURRENT_ADDR              4
#define  PANEL_BUFF_WORDS                5
#define  PANEL_TOTAL_WORDS               6       /* callback function: newValue */
#define  PANEL_INIT_VALUE1               7
#define  PANEL_INCREMENT                 8
#define  PANEL_WORDS                     9
#define  PANEL_TABLE                     10      /* callback function: table */
#define  PANEL_ADD_TO_TABLE              11      /* callback function: buttons */
#define  PANEL_VIEW_FILE                 12      /* callback function: buttons */
#define  PANEL_LOAD_FILE                 13      /* callback function: buttons */
#define  PANEL_TABLE_ADDR                14      /* callback function: newValue */
#define  PANEL_SAVE_TO_FILE              15      /* callback function: buttons */
#define  PANEL_WORD_SIZE                 16      /* callback function: newValue */
#define  PANEL_DATA_TYPE                 17      /* callback function: newValue */
#define  PANEL_TABLE_SLIDE               18      /* callback function: newValue */
#define  PANEL_HEX_NOT_DEC               19      /* callback function: newValue */
#define  PANEL_INT_FLOAT                 20      /* callback function: newValue */
#define  PANEL_DECORATION                21
#define  PANEL_TEXTMSG_2                 22
#define  PANEL_DECORATION_2              23
#define  PANEL_TEXTMSG_3                 24


     /* Menu Bars, Menus, and Menu Items: */

#define  MENU                            1
#define  MENU_EXIT                       2       /* callback function: menu */


     /* Callback Prototypes: */ 

int  CVICALLBACK buttons(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK menu(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK newValue(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK table(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
