/****************************************************************************** 
 *  Title  : commandFunc_runChildCommandList.h 
 *  Version 0.0
 *   
 *  Description: header file 
 *  Related files: commandFunc_runChildCommandList.c
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef COMMAND_RUN_CHILD_COMMAND_LIST	 /* multiple inclusion protection */
#define COMMAND_RUN_CHILD_COMMAND_LIST
 
/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/


/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/


/******************************************************************************
 *                           Type definitions                                 *
 ******************************************************************************/

/*
 * Command parameters 
 */

struct RUN_CHILD_COMMAND_LIST_PARAMS {

	char fileName[PATHNAME_LENGTH];  /* command list file */
};

/******************************************************************************/ 

#endif /* COMMAND_RUN_CHILD_COMMAND_LIST */

#ifdef COMMAND_FUNC_DEFINED
#include "commandListDefinitions.h"

COMMAND_FUNCTION_TYPE commandFunction_runChildCommandList; 
#endif
