/****************************************************************************** 
 *  Title  : commandFunc_sendPrimList.h 
 *  Version 0.0
 *   
 *  Description: header file 
 *  Related files: commandFunc_sendPrimList.c
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef COMMAND_SEND_PRIM_LIST	 /* multiple inclusion protection */
#define COMMAND_SEND_PRIM_LIST
 
/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/


/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/


/******************************************************************************
 *                           Type definitions                                 *
 ******************************************************************************/

/*
 * Command parameters 
 */

struct SEND_PRIM_LIST_PARAMS {
	int repeatExecNotBuild;  /* repeat only execution of the list not building */
	char fileName[PATHNAME_LENGTH]; /* primitive list file */
};

/******************************************************************************/ 

#endif /* COMMAND_RW_SLAVE */

#ifdef COMMAND_FUNC_DEFINED
#include "commandListDefinitions.h"

COMMAND_FUNCTION_TYPE commandFunction_sendPrimList; 
#endif
