/******************************************************************************
 *  Title  : primFunc_RWSlaveMemory.h
 *  Version 0.0
 *
 *  Description: header file
 *  Related files:
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef PRIM_RW_SLAVE_MEMORY_H	 /* multiple inclusion protection */
#define PRIM_RW_SLAVE_MEMORY_H

/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/

#include "primParams.h"
#include "fileUtility.h"

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/

/*
 * primitive function revision number - should be equal to R_RW_SLAVE_MEMORY
 * defined on the DSP side in primParams.h
 */

#define R_RW_SLAVE_MEMORY_HOST	100

/******************************************************************************
 *                           Type definitions                                 *
 ******************************************************************************/

struct PRIM_RW_SLAVE_MEMORY_PARAMS{

	struct RW_SLAVE_MEMORY_IN inputParams;

	char dataFileName[PATHNAME_LENGTH];

	int appendNotWrite;

};

/******************************************************************************/

#endif /* PRIM_RW_SLAVE_MEMORY_H */

#ifdef PRIM_FUNC_DEFINED
#include "globalDefinitions.h"

PRIM_FUNCTION_TYPE primFunction_RWSlaveMemory;
#endif
