/****************************************************************************** 
 *  Title  : primFunc_RWmoduleVariable.h 
 *  Version 0.0
 *   
 *  Description:   header file
 *  Related files: primFunc_RWmoduleVariable.c
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef PRIM_RW_MODULE_VARIABLE_H	 /* multiple inclusion protection */
#define PRIM_RW_MODULE_VARIABLE_H
 
/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/

#include "fileUtility.h"
#include "primParams.h"

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/

/* 
 * primitive function revision number - should be equal to R_RW_MODULE_VARIABLE   
 * defined on the DSP side in primParams.h
 */

#define R_RW_MODULE_VARIABLE_HOST	101  
	

/******************************************************************************
 *                           Type definitions                                 *
 ******************************************************************************/
	
struct RW_MODULE_VARIABLE_PARAMS {

	RwModuleVariableIn inputParams;
	
	char dataFileName[PATHNAME_LENGTH];

};

/******************************************************************************/ 

#endif /* PRIM_RW_MODULE_VARIABLE_H */

#ifdef PRIM_FUNC_DEFINED
#include "globalDefinitions.h"

PRIM_FUNCTION_TYPE primFunction_RWmoduleVariable; 
#endif
