/******************************************************************************
 *  Title  : primFunc_dspReset.h
 *  Version 0.0
 *
 *  Description: header file
 *  Related files: primFunc_dspReset.c
 *
 *  Author: Jan Valenta, valenta@fzu.cz
 *
 ******************************************************************************/

#ifndef DSPRESET_H	 /* multiple inclusion protection */
#define DSPRESET_H

/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/

#include "primParams.h"

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/


/*
 * primitive function revision number - should be equal to R_ECHO
 * defined on the DSP side in primParams.h
 */

#define R_DSP_RESET_HOST	100


/******************************************************************************
 *                           Type definitions                                 *
 ******************************************************************************/

/*
 * Primitive parameters
 */


/******************************************************************************/

#endif /* PRIM_ECHO_H */

#ifdef PRIM_FUNC_DEFINED
#include "globalDefinitions.h"

PRIM_FUNCTION_TYPE primFunction_dspReset;
#endif
