/****************************************************************************** 
 *  Title  : primFunc_flashLed.h 
 *  Version 0.0
 *   
 *  Description:   Flash led slave primitive function
 *  Related files:
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef PRIM_FLASH_LED_H	 /* multiple inclusion protection */
#define PRIM_FLASH_LED_H
 
/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/

#include "primParams.h"

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/

/* 
 * primitive function revision number - should be equal to R_FLASH_LED   
 * defined on the DSP side in primParams.h
 */

#define R_FLASH_LED_HOST	103  
	
/******************************************************************************
 *                           Type definitions                                 *
 ******************************************************************************/


/******************************************************************************/ 

#endif /* PRIM_FLASH_LED_H */

#ifdef PRIM_FUNC_DEFINED
#include "globalDefinitions.h"

PRIM_FUNCTION_TYPE primFunction_flashLed; 
#endif

