/****************************************************************************** 
 *  Title  : primFunc_moduleMask.h 
 *  Version 0.0
 *   
 *  Description:   header file.
 *  Related files: primFunc_moduleMask.c
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef PRIM_MODULE_MASK_H	 /* multiple inclusion protection */
#define PRIM_MODULE_MASK_H
 
/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/

#include "primParams.h"

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/

/* 
 * primitive function revision number - should be equal to R_MODULE_MASK   
 * defined on the DSP side in primParams.h
 */

#define R_MODULE_MASK_HOST	101  
	
/******************************************************************************
 *                           Type definitions                                 *
 ******************************************************************************/


/******************************************************************************/ 

#endif /* PRIM_MODULE_MASK_H */

#ifdef PRIM_FUNC_DEFINED
#include "globalDefinitions.h"

PRIM_FUNCTION_TYPE primFunction_moduleMask; 
#endif

