/****************************************************************************** 
 *  Title  : primFunc_pauseList.h 
 *  Version 0.0
 *   
 *  Description:   header file
 *  Related files: primFunc_pauseList.c
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef PRIM_PAUSE_LIST_H	 /* multiple inclusion protection */
#define PRIM_PAUSE_LIST_H
 
/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/

#include "errorCodesRcc.h"
#include "primParams.h"

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/

/* 
 * primitive function revision number - should be equal to R_PAUSE_LIST   
 * defined on the DSP side in primParams.h
 */

#define R_PAUSE_LIST_HOST	100  
	

/******************************************************************************
 *                           Type definitions                                 *
 ******************************************************************************/
	
	
	/* no input or output params struct */ 
		

/******************************************************************************/ 

#endif /* PRIM_PAUSE_LIST_H */

#ifdef PRIM_FUNC_DEFINED
#include "globalDefinitions.h"

PRIM_FUNCTION_TYPE primFunction_pauseList; 
#endif

