/******************************************************************************
 *  Title  : primFunc_sendConfig.h
 *  Version 0.0
 *
 *  Description:   header file.
 *  Related files: primFunc_sendConfig.c
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef PRIM_SEND_CONFIG_H	 /* multiple inclusion protection */
#define PRIM_SEND_CONFIG_H

/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/

#include "primParams.h"

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/

/*
 * primitive function revision number - should be equal to R_SEND_CONFIG
 * defined on the DSP side in primParams.h
 */

#define R_SEND_CONFIG_HOST	105

/******************************************************************************
 *                           Type definitions                                 *
 ******************************************************************************/


/******************************************************************************/

#endif /* PRIM_SEND_CONFIG_H */

#ifdef PRIM_FUNC_DEFINED
#include "globalDefinitions.h"

PRIM_FUNCTION_TYPE primFunction_sendConfig;
#endif

