/****************************************************************************** 
 *  Title  : primFunc_sendStream.h 
 *  Version 0.0
 *   
 *  Description:   header file.
 *  Related files: primFunc_sendStream.c
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef PRIM_SEND_STREAM_H	 /* multiple inclusion protection */
#define PRIM_SEND_STREAM_H
 
/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/

#include "primParams.h"

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/

/* 
 * primitive function revision number - should be equal to R_SEND_STREAM   
 * defined on the DSP side in primParams.h
 */

#define R_SEND_STREAM_HOST	100  
	
/******************************************************************************
 *                           Type definitions                                 *
 ******************************************************************************/


/******************************************************************************/ 

#endif /* PRIM_SEND_STREAM_H */

#ifdef PRIM_FUNC_DEFINED
#include "globalDefinitions.h"

PRIM_FUNCTION_TYPE primFunction_sendStream; 
#endif

