/****************************************************************************** 
 *  Title  : primFunc_setLed.h 
 *  Version 0.0
 *   
 *  Description:   header file
 *  Related files: primFunc_setLed.c
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef PRIM_SET_LED_H	 /* multiple inclusion protection */
#define PRIM_SET_LED_H
 
/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/

#include "primParams.h"

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/

/* 
 * primitive function revision number - should be equal to R_SET_LED   
 * defined on the DSP side in primParams.h
 */

#define R_SET_LED_HOST	104  
	
/******************************************************************************
 *                           Type definitions                                 *
 ******************************************************************************/


/******************************************************************************/ 

#endif /* PRIM_SET_LED_H */

#ifdef PRIM_FUNC_DEFINED
#include "globalDefinitions.h"

PRIM_FUNCTION_TYPE primFunction_setLed; 
#endif

