/****************************************************************************** 
 *  Title  : primFunc_slaveListOp.h 
 *  Version 0.0
 *   
 *  Description:   header file
 *  Related files: primFunc_slaveListOp.c
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef PRIM_SLAVE_LIST_OP_H	 /* multiple inclusion protection */
#define PRIM_SLAVE_LIST_OP_H
 
/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/

#include "primParams.h"

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/

/* 
 * primitive function revision number - should be equal to R_SLAVE_LIST_OP   
 * defined on the DSP side in primParams.h
 */

#define R_SLAVE_LIST_OP_HOST	101  
	
/******************************************************************************
 *                           Type definitions                                 *
 ******************************************************************************/


/******************************************************************************/ 

#endif /* PRIM_SLAVE_LIST_OP_H */

#ifdef PRIM_FUNC_DEFINED
#include "globalDefinitions.h"

PRIM_FUNCTION_TYPE primFunction_slaveListOp; 
#endif
