/****************************************************************************** 
 *  Title  : primFunc_startSlaveExecuting.h 
 *  Version 0.0
 *   
 *  Description:   header file
 *  Related files: primFunc_startSlaveExecuting.c
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef PRIM_START_SLAVE_EXECUTING_H	 /* multiple inclusion protection */
#define PRIM_START_SLAVE_EXECUTING_H
 
/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/

#include "primParams.h"

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/

/* 
 * primitive function revision number - should be equal to R_START_SLAVE_EXECUTING   
 * defined on the DSP side in primParams.h
 */

#define R_START_SLAVE_EXECUTING_HOST	104
	
/******************************************************************************
 *                           Type definitions                                 *
 ******************************************************************************/


/******************************************************************************/ 

#endif /* PRIM_START_SLAVE_EXECUTING_H */

#ifdef PRIM_FUNC_DEFINED
#include "globalDefinitions.h"

PRIM_FUNCTION_TYPE primFunction_startSlaveExecuting; 
#endif
