/****************************************************************************** 
 *  Title  : primFunc_stopEventTrapping.h 
 *  Version 0.0
 *   
 *  Description:   header file
 *  Related files: primFunc_stopEventTrapping.c
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef PRIM_STOP_EVENT_TRAPPING_H	 /* multiple inclusion protection */
#define PRIM_STOP_EVENT_TRAPPING_H
 
/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/

#include "primParams.h"

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/

/* 
 * primitive function revision number - should be equal to R_STOP_EVENT_TRAPPING   
 * defined on the DSP side in primParams.h
 */

#define R_STOP_EVENT_TRAPPING_HOST	100  
	
/******************************************************************************
 *                           Type definitions                                 *
 ******************************************************************************/


/******************************************************************************/ 

#endif /* PRIM_STOP_EVENT_TRAPPING_H */

#ifdef PRIM_FUNC_DEFINED
#include "globalDefinitions.h"

PRIM_FUNCTION_TYPE primFunction_stopEventTrapping; 
#endif

