/****************************************************************************** 
 *  Title  : primFunc_taskOperation.h 
 *  Version 0.0
 *   
 *  Description:   header file.
 *  Related files: primFunc_taskOperation.c
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef PRIM_TASK_OPERATION_H	 /* multiple inclusion protection */
#define PRIM_TASK_OPERATION_H
 
/******************************************************************************
 *                              Header files                                  *
 ******************************************************************************/

#include "primParams.h"

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/

/* 
 * primitive function revision number - should be equal to R_TASK_OPERATION   
 * defined on the DSP side in primParams.h
 */

#define R_TASK_OPERATION_HOST	100  
	
/******************************************************************************
 *                           Type definitions                                 *
 ******************************************************************************/


/******************************************************************************/ 

#endif /* PRIM_TASK_OPERATION_H */

#ifdef PRIM_FUNC_DEFINED
#include "globalDefinitions.h"

PRIM_FUNCTION_TYPE primFunction_taskOperation; 
#endif

