/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2003. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  MAIN                            1
#define  MAIN_EXT_LIST_TYPE              2
#define  MAIN_SLOT_NUMBER                3
#define  MAIN_CLIST_FILE                 4       /* callback function: sendList */
#define  MAIN_SEND_COMMAND_LIST          5       /* callback function: sendList */
#define  MAIN_RAW_FILE                   6       /* callback function: sendList */
#define  MAIN_SEND_RAW_LIST              7       /* callback function: sendList */
#define  MAIN_PLIST_FILE                 8       /* callback function: sendList */
#define  MAIN_RAW_REP                    9
#define  MAIN_SEND_LIST                  10      /* callback function: sendList */
#define  MAIN_CLIST_REP                  11
#define  MAIN_PLIST_REP                  12
#define  MAIN_EXT_EXEC                   13
#define  MAIN_TEXTMSG_10                 14
#define  MAIN_DECORATION                 15
#define  MAIN_DECORATION_7               16
#define  MAIN_TEXTMSG_9                  17
#define  MAIN_DECORATION_8               18
#define  MAIN_TEXTMSG_11                 19
#define  MAIN_TEXTMSG                    20


     /* Menu Bars, Menus, and Menu Items: */

#define  MENU                            1
#define  MENU_EXIT                       2       /* callback function: menu */


     /* Callback Prototypes: */ 

void CVICALLBACK menu(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK sendList(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
