/******************************************************************************
 * 
 *	Title  : commandListExecution.c 
 *  Version 0.0
 *   
 *  Description: header file.    
 *  Related files: hostControl.c
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef CONTROL_THREAD_H  /* multiple-inclusion protection */
#define CONTROL_THREAD_H

/******************************************************************************
 *								Header files 								  *
 ******************************************************************************/

#include "hostDefinitions.h"

/******************************************************************************
 *                               Definitions                                  *
 ******************************************************************************/
/*-------------------------- LIST_HANDLER_STATE ------------------------------*/ 
typedef enum{ 
	IF_ERROR_DEFAULT=0, 
	IF_ERROR_STOP=1,
	IF_ERROR_CONTINUE=2,
}CMDLIST_ERROR_OPTION;

/******************************************************************************
 *						Global Function Declarations 						  *
 ******************************************************************************/
 
ERROR_ID WINAPI cmdListExec_thread(struct HOST *host);

/******************************************************************************/

#endif /* CONTROL_THREAD_H */          


