/******************************************************************************
 * 
 *	Title  : loadExitHost.h 
 *  Version 0.0
 *   
 *  Description: header file.    
 *  Related files: loadExitHost.c, mainUir.c
 *
 *  Author: Lukas Tomasek, tomasekl@fzu.cz
 *
 ******************************************************************************/

#ifndef LOAD_EXIT_HOST_H	 /* multiple-inclusion protection */
#define LOAD_EXIT_HOST_H

/******************************************************************************
 *								Header files 								  *
 ******************************************************************************/

#include "globalDefinitions.h"

/******************************************************************************
 *						Global Function Declarations 						  *
 ******************************************************************************/

ERROR_ID hostGlobalInit(struct GLOBAL_VARIABLES *global);
ERROR_ID loadNewHost(struct GLOBAL_VARIABLES *global, unsigned char slotNumber);
ERROR_ID shutdownApplication(struct GLOBAL_VARIABLES *global);
ERROR_ID exitHost(struct HOST **host, struct GLOBAL_VARIABLES *global);

/******************************************************************************/ 

#endif /* LOAD_EXIT_HOST_H */  
