/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2003. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  BOC_SETUP                       1
#define  BOC_SETUP_DECORATION            2
#define  BOC_SETUP_TEXTMSG_4             3

#define  BUS_TEST                        2
#define  BUS_TEST_DATA_WIDTH             2
#define  BUS_TEST_REG_ADDR               3
#define  BUS_TEST_ADDR_REG               4
#define  BUS_TEST_REG_ADDR_FILE          5       /* callback function: busTest */
#define  BUS_TEST_ONE_REG                6       /* callback function: busTest */
#define  BUS_TEST_ADDR_TEST_OPTION       7       /* callback function: busTest */
#define  BUS_TEST_FLOAT_ONE              8
#define  BUS_TEST_DECORATION             9
#define  BUS_TEST_TEXTMSG_4              10
#define  BUS_TEST_TEXTMSG_2              11
#define  BUS_TEST_TEXTMSG                12
#define  BUS_TEST_TEXTMSG_3              13

#define  COMP_FILES                      3
#define  COMP_FILES_DATA_MASK0           2
#define  COMP_FILES_ROD_FILE             3       /* callback function: compFiles */
#define  COMP_FILES_COMMON_FILE          4       /* callback function: compFiles */
#define  COMP_FILES_WORD_SIZE            5       /* callback function: compFiles */
#define  COMP_FILES_DATA_MASK1           6
#define  COMP_FILES_DECORATION           7
#define  COMP_FILES_TEXTMSG_4            8

#define  DELAY_CMDP                      4
#define  DELAY_CMDP_DELAY                2
#define  DELAY_CMDP_DECORATION           3
#define  DELAY_CMDP_TEXTMSG_4            4
#define  DELAY_CMDP_TEXTMSG              5

#define  RUN_CLIST                       5
#define  RUN_CLIST_FILE                  2       /* callback function: runChildCommandList */
#define  RUN_CLIST_DECORATION            3
#define  RUN_CLIST_TEXTMSG_4             4

#define  RUN_EXTPRG                      6
#define  RUN_EXTPRG_TIMEOUT              2
#define  RUN_EXTPRG_ROD_FILE             3       /* callback function: runExtProgram */
#define  RUN_EXTPRG_EXT_PRG              4       /* callback function: runExtProgram */
#define  RUN_EXTPRG_DATA_FILE_OPT        5       /* callback function: runExtProgram */
#define  RUN_EXTPRG_WAIT_FOR_TERM        6
#define  RUN_EXTPRG_DECORATION           7
#define  RUN_EXTPRG_TEXTMSG_4            8
#define  RUN_EXTPRG_TEXTMSG              9
#define  RUN_EXTPRG_DECORATION_2         10
#define  RUN_EXTPRG_TEXTMSG_2            11

#define  RW_FPGAF                        7
#define  RW_FPGAF_OUT_FILE               2       /* callback function: RWFpgaFlash */
#define  RW_FPGAF_INP_FILE               3       /* callback function: RWFpgaFlash */
#define  RW_FPGAF_SIZE                   4
#define  RW_FPGAF_READ_NOT_WRITE         5       /* callback function: RWFpgaFlash */
#define  RW_FPGAF_START_ADDRESS          6       /* callback function: RWFpgaFlash */
#define  RW_FPGAF_DECORATION             7
#define  RW_FPGAF_TEXTMSG_4              8
#define  RW_FPGAF_DECORATION_2           9
#define  RW_FPGAF_TEXTMSG                10
#define  RW_FPGAF_TEXTMSG_5              11
#define  RW_FPGAF_TEXTMSG_2              12
#define  RW_FPGAF_TEXTMSG_3              13
#define  RW_FPGAF_TEXTMSG_6              14
#define  RW_FPGAF_TEXTMSG_7              15
#define  RW_FPGAF_TEXTMSG_8              16
#define  RW_FPGAF_TEXTMSG_12             17

#define  RW_MASTERP                      8
#define  RW_MASTERP_OUT_FILE             2       /* callback function: RWMaster */
#define  RW_MASTERP_INP_FILE             3       /* callback function: RWMaster */
#define  RW_MASTERP_DATA_MASK            4
#define  RW_MASTERP_COMP_DATA            5
#define  RW_MASTERP_INPUT_DATA           6
#define  RW_MASTERP_START_ADDR           7       /* callback function: wordBoundary */
#define  RW_MASTERP_DELAY                8
#define  RW_MASTERP_LENGTH               9       /* callback function: RWMaster */
#define  RW_MASTERP_COMP_OPTION          10      /* callback function: RWMaster */
#define  RW_MASTERP_OUTPUT_OPT           11      /* callback function: RWMaster */
#define  RW_MASTERP_INP_OPTION           12      /* callback function: RWMaster */
#define  RW_MASTERP_READ_NOT_WRITE       13      /* callback function: RWMaster */
#define  RW_MASTERP_BLOCK_ACCESS         14      /* callback function: RWMaster */
#define  RW_MASTERP_WRITE_OR_APPEND      15
#define  RW_MASTERP_DECORATION           16
#define  RW_MASTERP_TEXTMSG_4            17
#define  RW_MASTERP_DECORATION_2         18
#define  RW_MASTERP_TEXTMSG              19
#define  RW_MASTERP_TEXTMSG_5            20
#define  RW_MASTERP_TEXTMSG_12           21

#define  RW_SLAVEP                       9
#define  RW_SLAVEP_OUT_FILE              2       /* callback function: RWSlave */
#define  RW_SLAVEP_INP_FILE              3       /* callback function: RWSlave */
#define  RW_SLAVEP_COMP_DATA             4
#define  RW_SLAVEP_INPUT_DATA            5
#define  RW_SLAVEP_START_ADDR            6       /* callback function: wordBoundary */
#define  RW_SLAVEP_LENGTH                7       /* callback function: RWSlave */
#define  RW_SLAVEP_COMP_OPTION           8       /* callback function: RWSlave */
#define  RW_SLAVEP_OUTPUT_OPT            9       /* callback function: RWSlave */
#define  RW_SLAVEP_INP_OPTION            10      /* callback function: RWSlave */
#define  RW_SLAVEP_READ_NOT_WRITE        11      /* callback function: RWSlave */
#define  RW_SLAVEP_WRITE_OR_APPEND       12
#define  RW_SLAVEP_SLAVE_NUMBER          13
#define  RW_SLAVEP_DECORATION            14
#define  RW_SLAVEP_TEXTMSG_4             15
#define  RW_SLAVEP_TEXTMSG               16
#define  RW_SLAVEP_TEXTMSG_5             17
#define  RW_SLAVEP_DECORATION_3          18
#define  RW_SLAVEP_TEXTMSG_12            19

#define  RW_VMEP                         10
#define  RW_VMEP_OUT_FILE                2       /* callback function: RWVme */
#define  RW_VMEP_INP_FILE                3       /* callback function: RWVme */
#define  RW_VMEP_COMP_DATA               4
#define  RW_VMEP_INPUT_DATA              5
#define  RW_VMEP_START_ADDR              6
#define  RW_VMEP_LENGTH                  7       /* callback function: RWVme */
#define  RW_VMEP_COMP_OPTION             8       /* callback function: RWVme */
#define  RW_VMEP_OUTPUT_OPT              9       /* callback function: RWVme */
#define  RW_VMEP_INP_OPTION              10      /* callback function: RWVme */
#define  RW_VMEP_NO_BLOCK_ACCESS         11
#define  RW_VMEP_READ_NOT_WRITE          12      /* callback function: RWVme */
#define  RW_VMEP_WRITE_OR_APPEND         13
#define  RW_VMEP_VME_ACCESS              14      /* callback function: RWVme */
#define  RW_VMEP_DECORATION              15
#define  RW_VMEP_TEXTMSG_4               16
#define  RW_VMEP_TEXTMSG                 17
#define  RW_VMEP_TEXTMSG_5               18
#define  RW_VMEP_DECORATION_3            19
#define  RW_VMEP_TEXTMSG_2               20
#define  RW_VMEP_TEXTMSG_6               21
#define  RW_VMEP_TEXTMSG_7               22
#define  RW_VMEP_TEXTMSG_12              23

#define  SEND_PLIST                      11
#define  SEND_PLIST_INP_FILE             2       /* callback function: sendPrimList */
#define  SEND_PLIST_REPEAT_BUILD_EXEC    3
#define  SEND_PLIST_EDIT_PRIM_LIST       4       /* callback function: sendPrimList */
#define  SEND_PLIST_DECORATION           5
#define  SEND_PLIST_TEXTMSG_4            6

#define  W_MDSPF                         12
#define  W_MDSPF_INP_FILE                2       /* callback function: WMDSPFlash */
#define  W_MDSPF_SIZE                    3
#define  W_MDSPF_START_ADDRESS           4
#define  W_MDSPF_DECORATION              5
#define  W_MDSPF_TEXTMSG_4               6
#define  W_MDSPF_TEXTMSG_5               7
#define  W_MDSPF_TEXTMSG_2               8
#define  W_MDSPF_TEXTMSG_3               9
#define  W_MDSPF_TEXTMSG_6               10


     /* Menu Bars, Menus, and Menu Items: */

          /* (no menu bars in the resource file) */


     /* Callback Prototypes: */ 

int  CVICALLBACK busTest(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK compFiles(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK runChildCommandList(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK runExtProgram(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK RWFpgaFlash(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK RWMaster(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK RWSlave(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK RWVme(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK sendPrimList(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK WMDSPFlash(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK wordBoundary(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
