/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2002. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  CLISTP                          1
#define  CLISTP_COMMAND_RING             2
#define  CLISTP_HOST_INDEX               3
#define  CLISTP_LIST_FILE                4       /* callback function: commandButtons */
#define  CLISTP_SEND_LIST                5       /* callback function: commandButtons */
#define  CLISTP_NUM_COMMANDS             6
#define  CLISTP_COMMAND_INDEX            7
#define  CLISTP_CMDREP                   8
#define  CLISTP_CMDREP_COUNT             9
#define  CLISTP_LIST_REP_COUNTER         10
#define  CLISTP_NUM_OF_LIST_REP          11      /* callback function: commandButtons */
#define  CLISTP_EDIT_CLIST               12      /* callback function: commandButtons */
#define  CLISTP_RESUME_CMDLIST           13      /* callback function: commandButtons */
#define  CLISTP_ABORT_CMDLIST            14      /* callback function: commandButtons */
#define  CLISTP_RESET_CMDREP             15      /* callback function: commandButtons */
#define  CLISTP_RESET_REP_LIST_NUM       16      /* callback function: commandButtons */
#define  CLISTP_CLIST_STOPPED            17
#define  CLISTP_CLIST_BUSY               18
#define  CLISTP_STATUS_BOX               19
#define  CLISTP_IF_ERROR                 20
#define  CLISTP_TEXTMSG_3                21
#define  CLISTP_DECORATION               22


     /* Menu Bars, Menus, and Menu Items: */

#define  CSTAT_MENU                      1
#define  CSTAT_MENU_CLEAR_STATUS_WINDOW  2       /* callback function: commandStatusMenu */
#define  CSTAT_MENU_OPEN_STATUS_FILE     3       /* callback function: commandStatusMenu */
#define  CSTAT_MENU_CMD_LIST_EDITOR      4       /* callback function: commandStatusMenu */
#define  CSTAT_MENU_CLOSE_WINDOW         5       /* callback function: commandStatusMenu */


     /* Callback Prototypes: */ 

int  CVICALLBACK commandButtons(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK commandStatusMenu(int menubar, int menuItem, void *callbackData, int panel);


#ifdef __cplusplus
    }
#endif
