/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2009. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  FLASH_INFO                       1
#define  FLASH_INFO_SECTOR                2
#define  FLASH_INFO_FLASH_NAME            3

#define  PAN_FLASH                        2
#define  PAN_FLASH_FORM_READ              2       /* callback function: flashButtons */
#define  PAN_FLASH_DSP_PRG_WRITE          3       /* callback function: flashButtons */
#define  PAN_FLASH_FORM_WRITE             4       /* callback function: flashButtons */
#define  PAN_FLASH_DSP_PRG_FILE           5       /* callback function: pickFileName */
#define  PAN_FLASH_READ_FLASH_1           6       /* callback function: flashButtons */
#define  PAN_FLASH_CLEAR_FLASH_1          7       /* callback function: flashButtons */
#define  PAN_FLASH_FORM_FILE              8       /* callback function: pickFileName */
#define  PAN_FLASH_DSP_PRG_SIZE           9
#define  PAN_FLASH_DSP_PRG_START_ADDR     10
#define  PAN_FLASH_FORM_END_ADDR          11
#define  PAN_FLASH_FORM_SIZE              12
#define  PAN_FLASH_FLASH_2_START_ADDR     13
#define  PAN_FLASH_FLASH_1_START_ADDR     14
#define  PAN_FLASH_FLASH_0_START_ADDR     15
#define  PAN_FLASH_FORM_START_ADDR        16      /* callback function: flashButtons */
#define  PAN_FLASH_ROUTER_READ            17      /* callback function: flashButtons */
#define  PAN_FLASH_ROUTER_WRITE           18      /* callback function: flashButtons */
#define  PAN_FLASH_EFB_READ               19      /* callback function: flashButtons */
#define  PAN_FLASH_ROUTER_FILE            20      /* callback function: pickFileName */
#define  PAN_FLASH_DSP_PRG_END_ADDR       21
#define  PAN_FLASH_ROUTER_SIZE            22
#define  PAN_FLASH_ROUTER_END_ADDR        23
#define  PAN_FLASH_ROUTER_START_ADDR      24      /* callback function: flashButtons */
#define  PAN_FLASH_EFB_WRITE              25      /* callback function: flashButtons */
#define  PAN_FLASH_READ_FLASH_2           26      /* callback function: flashButtons */
#define  PAN_FLASH_SLOT_NUMBER            27      /* callback function: flashButtons */
#define  PAN_FLASH_CLEAR_FLASH_DSP        28      /* callback function: flashButtons */
#define  PAN_FLASH_CLEAR_FLASH_2          29      /* callback function: flashButtons */
#define  PAN_FLASH_EFB_FILE               30      /* callback function: pickFileName */
#define  PAN_FLASH_EFB_SIZE               31
#define  PAN_FLASH_EFB_END_ADDR           32
#define  PAN_FLASH_EFB_START_ADDR         33      /* callback function: flashButtons */
#define  PAN_FLASH_RRIF_READ              34      /* callback function: flashButtons */
#define  PAN_FLASH_RRIF_WRITE             35      /* callback function: flashButtons */
#define  PAN_FLASH_LOCATION_READ          36      /* callback function: flashButtons */
#define  PAN_FLASH_RRIF_FILE              37      /* callback function: pickFileName */
#define  PAN_FLASH_RRIF_SIZE              38
#define  PAN_FLASH_RRIF_END_ADDR          39
#define  PAN_FLASH_RRIF_START_ADDR        40      /* callback function: flashButtons */
#define  PAN_FLASH_LOCATION_WRITE         41      /* callback function: flashButtons */
#define  PAN_FLASH_READ_FLASH_0           42      /* callback function: flashButtons */
#define  PAN_FLASH_CLEAR_FLASH_0          43      /* callback function: flashButtons */
#define  PAN_FLASH_LOCATION_SIZE          44
#define  PAN_FLASH_LOCATION_FILE          45      /* callback function: pickFileName */
#define  PAN_FLASH_LOCATION_END_ADDR      46
#define  PAN_FLASH_LOCATION_START_ADDR    47      /* callback function: flashButtons */
#define  PAN_FLASH_DECORATION_2           48
#define  PAN_FLASH_TEXTMSG                49

#define  PANEL_FPGA                       3
#define  PANEL_FPGA_READ_REG              2       /* callback function: fpgaRegButtons */
#define  PANEL_FPGA_CONTROL_8             3
#define  PANEL_FPGA_CONTROL_4             4
#define  PANEL_FPGA_CONTROL_3             5
#define  PANEL_FPGA_CONTROL_3_BIT_0       6
#define  PANEL_FPGA_CONTROL_3_BIT_1       7
#define  PANEL_FPGA_CONTROL_3_BIT_2       8
#define  PANEL_FPGA_CONTROL_3_BIT_3       9
#define  PANEL_FPGA_CONTROL_3_BIT_4       10
#define  PANEL_FPGA_CONTROL_3_BIT_5       11
#define  PANEL_FPGA_CONTROL_3_BIT_6       12
#define  PANEL_FPGA_CONTROL_3_BIT_7       13
#define  PANEL_FPGA_CONTROL_2             14
#define  PANEL_FPGA_CONTROL_2_BIT_0       15
#define  PANEL_FPGA_CONTROL_2_BIT_1       16
#define  PANEL_FPGA_CONTROL_2_BIT_2       17
#define  PANEL_FPGA_CONTROL_2_BIT_3       18
#define  PANEL_FPGA_STAT_7                19
#define  PANEL_FPGA_STAT_10               20
#define  PANEL_FPGA_STAT_9                21
#define  PANEL_FPGA_STAT_6                22
#define  PANEL_FPGA_CONTROL_2_BIT_4       23
#define  PANEL_FPGA_CONTROL_2_BIT_5       24
#define  PANEL_FPGA_CONTROL_2_BIT_6       25
#define  PANEL_FPGA_CONTROL_2_BIT_7       26
#define  PANEL_FPGA_CONTROL_1_BIT_0       27
#define  PANEL_FPGA_CONTROL_1             28
#define  PANEL_FPGA_CONTROL_1_BIT_1       29
#define  PANEL_FPGA_CONTROL_1_BIT_2       30
#define  PANEL_FPGA_CONTROL_1_BIT_3       31
#define  PANEL_FPGA_CONTROL_1_BIT_4       32
#define  PANEL_FPGA_CONTROL_1_BIT_5       33
#define  PANEL_FPGA_CONTROL_1_BIT_6       34
#define  PANEL_FPGA_CONTROL_1_BIT_7       35
#define  PANEL_FPGA_CONTROL_0_BIT_0       36
#define  PANEL_FPGA_CONTROL_0_BIT_1       37
#define  PANEL_FPGA_CONTROL_0_BIT_2       38
#define  PANEL_FPGA_SLOT_NUMBER           39      /* callback function: fpgaRegButtons */
#define  PANEL_FPGA_CONTROL_0             40
#define  PANEL_FPGA_CONTROL_0_BIT_3       41
#define  PANEL_FPGA_CONTROL_0_BIT_4       42
#define  PANEL_FPGA_CONTROL_0_BIT_5       43
#define  PANEL_FPGA_CONTROL_0_BIT_6       44
#define  PANEL_FPGA_CONTROL_0_BIT_7       45
#define  PANEL_FPGA_STAT_5                46
#define  PANEL_FPGA_STAT_5_BIT_0          47
#define  PANEL_FPGA_STAT_5_BIT_1          48
#define  PANEL_FPGA_STAT_5_BIT_2          49
#define  PANEL_FPGA_STAT_5_BIT_3          50
#define  PANEL_FPGA_STAT_5_BIT_4          51
#define  PANEL_FPGA_STAT_5_BIT_5          52
#define  PANEL_FPGA_STAT_5_BIT_6          53
#define  PANEL_FPGA_STAT_5_BIT_7          54
#define  PANEL_FPGA_STAT_8                55
#define  PANEL_FPGA_STAT_4                56
#define  PANEL_FPGA_STAT_4_BIT_0          57
#define  PANEL_FPGA_STAT_4_BIT_1          58
#define  PANEL_FPGA_STAT_4_BIT_2          59
#define  PANEL_FPGA_STAT_4_BIT_3          60
#define  PANEL_FPGA_STAT_4_BIT_4          61
#define  PANEL_FPGA_STAT_4_BIT_5          62
#define  PANEL_FPGA_STAT_4_BIT_6          63
#define  PANEL_FPGA_STAT_4_BIT_7          64
#define  PANEL_FPGA_STAT_3                65
#define  PANEL_FPGA_STAT_3_BIT_0          66
#define  PANEL_FPGA_STAT_3_BIT_1          67
#define  PANEL_FPGA_STAT_3_BIT_2          68
#define  PANEL_FPGA_STAT_3_BIT_3          69
#define  PANEL_FPGA_STAT_3_BIT_4          70
#define  PANEL_FPGA_STAT_3_BIT_5          71
#define  PANEL_FPGA_STAT_3_BIT_6          72
#define  PANEL_FPGA_STAT_3_BIT_7          73
#define  PANEL_FPGA_STAT_2_BIT_0          74
#define  PANEL_FPGA_STAT_2_BIT_1          75
#define  PANEL_FPGA_STAT_2_BIT_2          76
#define  PANEL_FPGA_STAT_2_BIT_3          77
#define  PANEL_FPGA_STAT_2_BIT_4          78
#define  PANEL_FPGA_STAT_2                79
#define  PANEL_FPGA_STAT_2_BIT_5          80
#define  PANEL_FPGA_STAT_2_BIT_6          81
#define  PANEL_FPGA_STAT_2_BIT_7          82
#define  PANEL_FPGA_STAT_1                83
#define  PANEL_FPGA_STAT_1_BIT_0          84
#define  PANEL_FPGA_STAT_1_BIT_1          85
#define  PANEL_FPGA_STAT_1_BIT_2          86
#define  PANEL_FPGA_STAT_1_BIT_3          87
#define  PANEL_FPGA_STAT_1_BIT_4          88
#define  PANEL_FPGA_STAT_1_BIT_5          89
#define  PANEL_FPGA_STAT_1_BIT_6          90
#define  PANEL_FPGA_STAT_1_BIT_7          91
#define  PANEL_FPGA_STAT_0_BIT_0          92
#define  PANEL_FPGA_STAT_0_BIT_1          93
#define  PANEL_FPGA_STAT_0_BIT_2          94
#define  PANEL_FPGA_STAT_0_BIT_3          95
#define  PANEL_FPGA_STAT_0_BIT_4          96
#define  PANEL_FPGA_STAT_0_BIT_5          97
#define  PANEL_FPGA_STAT_0                98
#define  PANEL_FPGA_STAT_0_BIT_6          99
#define  PANEL_FPGA_STAT_0_BIT_7          100
#define  PANEL_FPGA_COM2_BUTT_1           101     /* callback function: fpgaRegButtons */
#define  PANEL_FPGA_COM2_BUTT_7           102     /* callback function: fpgaRegButtons */
#define  PANEL_FPGA_COM2_BUTT_6           103     /* callback function: fpgaRegButtons */
#define  PANEL_FPGA_COM2_BUTT_5           104     /* callback function: fpgaRegButtons */
#define  PANEL_FPGA_COM2_BUTT_4           105     /* callback function: fpgaRegButtons */
#define  PANEL_FPGA_COM2_BUTT_3           106     /* callback function: fpgaRegButtons */
#define  PANEL_FPGA_COM2_BUTT_2           107     /* callback function: fpgaRegButtons */
#define  PANEL_FPGA_COM2_BUTT_0           108     /* callback function: fpgaRegButtons */
#define  PANEL_FPGA_COM1_BUTT_1           109     /* callback function: fpgaRegButtons */
#define  PANEL_FPGA_COM1_BUTT_7           110     /* callback function: fpgaRegButtons */
#define  PANEL_FPGA_COM1_BUTT_6           111     /* callback function: fpgaRegButtons */
#define  PANEL_FPGA_COM1_BUTT_5           112     /* callback function: fpgaRegButtons */
#define  PANEL_FPGA_COM1_BUTT_4           113     /* callback function: fpgaRegButtons */
#define  PANEL_FPGA_COM1_BUTT_3           114     /* callback function: fpgaRegButtons */
#define  PANEL_FPGA_COM1_BUTT_2           115     /* callback function: fpgaRegButtons */
#define  PANEL_FPGA_COM1_BUTT_0           116     /* callback function: fpgaRegButtons */
#define  PANEL_FPGA_COM0_BUTT_1           117     /* callback function: fpgaRegButtons */
#define  PANEL_FPGA_COM0_BUTT_7           118     /* callback function: fpgaRegButtons */
#define  PANEL_FPGA_COM0_BUTT_6           119     /* callback function: fpgaRegButtons */
#define  PANEL_FPGA_COM0_BUTT_5           120     /* callback function: fpgaRegButtons */
#define  PANEL_FPGA_COM0_BUTT_4           121     /* callback function: fpgaRegButtons */
#define  PANEL_FPGA_COM0_BUTT_3           122     /* callback function: fpgaRegButtons */
#define  PANEL_FPGA_COM0_BUTT_2           123     /* callback function: fpgaRegButtons */
#define  PANEL_FPGA_COM0_BUTT_0           124     /* callback function: fpgaRegButtons */
#define  PANEL_FPGA_TEXTMSG_20            125
#define  PANEL_FPGA_TEXTMSG_21            126
#define  PANEL_FPGA_TEXTMSG_22            127
#define  PANEL_FPGA_TEXTMSG_23            128
#define  PANEL_FPGA_TEXTMSG_24            129
#define  PANEL_FPGA_TEXTMSG_25            130
#define  PANEL_FPGA_TEXTMSG_26            131
#define  PANEL_FPGA_TEXTMSG_27            132
#define  PANEL_FPGA_TEXTMSG_55            133
#define  PANEL_FPGA_TEXTMSG_56            134
#define  PANEL_FPGA_TEXTMSG_57            135
#define  PANEL_FPGA_TEXTMSG_58            136
#define  PANEL_FPGA_TEXTMSG_59            137
#define  PANEL_FPGA_TEXTMSG_60            138
#define  PANEL_FPGA_TEXTMSG_61            139
#define  PANEL_FPGA_TEXTMSG_62            140
#define  PANEL_FPGA_TEXTMSG_63            141
#define  PANEL_FPGA_TEXTMSG_64            142
#define  PANEL_FPGA_TEXTMSG_65            143
#define  PANEL_FPGA_TEXTMSG_66            144
#define  PANEL_FPGA_TEXTMSG_67            145
#define  PANEL_FPGA_TEXTMSG_68            146
#define  PANEL_FPGA_TEXTMSG_69            147
#define  PANEL_FPGA_TEXTMSG_70            148
#define  PANEL_FPGA_TEXTMSG_71            149
#define  PANEL_FPGA_TEXTMSG_72            150
#define  PANEL_FPGA_TEXTMSG_73            151
#define  PANEL_FPGA_TEXTMSG_74            152
#define  PANEL_FPGA_TEXTMSG_75            153
#define  PANEL_FPGA_TEXTMSG_76            154
#define  PANEL_FPGA_TEXTMSG_77            155
#define  PANEL_FPGA_TEXTMSG_78            156
#define  PANEL_FPGA_TEXTMSG_99            157
#define  PANEL_FPGA_TEXTMSG_100           158
#define  PANEL_FPGA_TEXTMSG_101           159
#define  PANEL_FPGA_TEXTMSG_102           160
#define  PANEL_FPGA_TEXTMSG_103           161
#define  PANEL_FPGA_TEXTMSG_104           162
#define  PANEL_FPGA_TEXTMSG_105           163
#define  PANEL_FPGA_TEXTMSG_106           164
#define  PANEL_FPGA_TEXTMSG_109           165
#define  PANEL_FPGA_TEXTMSG_111           166
#define  PANEL_FPGA_TEXTMSG_28            167
#define  PANEL_FPGA_TEXTMSG_29            168
#define  PANEL_FPGA_TEXTMSG_30            169
#define  PANEL_FPGA_TEXTMSG_31            170
#define  PANEL_FPGA_TEXTMSG_32            171
#define  PANEL_FPGA_TEXTMSG_33            172
#define  PANEL_FPGA_TEXTMSG_34            173
#define  PANEL_FPGA_TEXTMSG_35            174
#define  PANEL_FPGA_TEXTMSG_36            175
#define  PANEL_FPGA_TEXTMSG_37            176
#define  PANEL_FPGA_TEXTMSG_38            177
#define  PANEL_FPGA_TEXTMSG_39            178
#define  PANEL_FPGA_TEXTMSG_40            179
#define  PANEL_FPGA_TEXTMSG_41            180
#define  PANEL_FPGA_TEXTMSG_42            181
#define  PANEL_FPGA_TEXTMSG_43            182
#define  PANEL_FPGA_TEXTMSG_44            183
#define  PANEL_FPGA_TEXTMSG_45            184
#define  PANEL_FPGA_TEXTMSG_46            185
#define  PANEL_FPGA_TEXTMSG_47            186
#define  PANEL_FPGA_TEXTMSG_48            187
#define  PANEL_FPGA_TEXTMSG_49            188
#define  PANEL_FPGA_TEXTMSG_50            189
#define  PANEL_FPGA_TEXTMSG_51            190
#define  PANEL_FPGA_TEXTMSG_90            191
#define  PANEL_FPGA_TEXTMSG_91            192
#define  PANEL_FPGA_TEXTMSG_92            193
#define  PANEL_FPGA_TEXTMSG_93            194
#define  PANEL_FPGA_TEXTMSG_94            195
#define  PANEL_FPGA_TEXTMSG_95            196
#define  PANEL_FPGA_TEXTMSG_96            197
#define  PANEL_FPGA_TEXTMSG_97            198
#define  PANEL_FPGA_TEXTMSG_112           199
#define  PANEL_FPGA_TEXTMSG_113           200
#define  PANEL_FPGA_TEXTMSG_114           201
#define  PANEL_FPGA_TEXTMSG_115           202
#define  PANEL_FPGA_TEXTMSG_116           203
#define  PANEL_FPGA_TEXTMSG_117           204
#define  PANEL_FPGA_TEXTMSG_118           205
#define  PANEL_FPGA_TEXTMSG_119           206
#define  PANEL_FPGA_TEXTMSG               207
#define  PANEL_FPGA_TEXTMSG_52            208
#define  PANEL_FPGA_TEXTMSG_53            209
#define  PANEL_FPGA_TEXTMSG_54            210
#define  PANEL_FPGA_TEXTMSG_98            211
#define  PANEL_FPGA_TEXTMSG_120           212
#define  PANEL_FPGA_TEXTMSG_107           213
#define  PANEL_FPGA_TEXTMSG_89            214
#define  PANEL_FPGA_TEXTMSG_88            215
#define  PANEL_FPGA_TEXTMSG_121           216
#define  PANEL_FPGA_DECORATION_2          217
#define  PANEL_FPGA_DECORATION            218
#define  PANEL_FPGA_TEXTMSG_87            219
#define  PANEL_FPGA_TEXTMSG_2             220
#define  PANEL_FPGA_TEXTMSG_3             221


     /* Menu Bars, Menus, and Menu Items: */

#define  FLASH_MENU                       1
#define  FLASH_MENU_GOTO_MAIN             2       /* callback function: flashMenu */
#define  FLASH_MENU_SAVE_SETTINGS         3       /* callback function: flashMenu */
#define  FLASH_MENU_LOAD_SETTINGS         4       /* callback function: flashMenu */
#define  FLASH_MENU_VIEW_BIN_FILE         5       /* callback function: flashMenu */
#define  FLASH_MENU_CLOSE_WINDOW          6       /* callback function: flashMenu */

#define  FPGA_MENU                        2
#define  FPGA_MENU_GOTO_MAIN              2       /* callback function: fpgaMenu */
#define  FPGA_MENU_CLOSE_WINDOW           3       /* callback function: fpgaMenu */


     /* Callback Prototypes: */

int  CVICALLBACK flashButtons(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK flashMenu(int menubar, int menuItem, void *callbackData, int panel);
void CVICALLBACK fpgaMenu(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK fpgaRegButtons(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK pickFileName(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
