/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2013. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  CLISTP                           1
#define  CLISTP_COMMAND_RING              2       /* control type: ring, callback function: (none) */
#define  CLISTP_HOST_INDEX                3       /* control type: numeric, callback function: (none) */
#define  CLISTP_LIST_FILE                 4       /* control type: string, callback function: commandButtons */
#define  CLISTP_SEND_LIST                 5       /* control type: command, callback function: commandButtons */
#define  CLISTP_NUM_COMMANDS              6       /* control type: numeric, callback function: (none) */
#define  CLISTP_COMMAND_INDEX             7       /* control type: numeric, callback function: (none) */
#define  CLISTP_CMDREP                    8       /* control type: numeric, callback function: (none) */
#define  CLISTP_CMDREP_COUNT              9       /* control type: numeric, callback function: (none) */
#define  CLISTP_LIST_REP_COUNTER          10      /* control type: numeric, callback function: (none) */
#define  CLISTP_NUM_OF_LIST_REP           11      /* control type: numeric, callback function: commandButtons */
#define  CLISTP_EDIT_CLIST                12      /* control type: command, callback function: commandButtons */
#define  CLISTP_RESET_CMDREP              13      /* control type: command, callback function: commandButtons */
#define  CLISTP_RESET_REP_LIST_NUM        14      /* control type: command, callback function: commandButtons */
#define  CLISTP_STOPPED                   15      /* control type: LED, callback function: (none) */
#define  CLISTP_BUSY                      16      /* control type: LED, callback function: (none) */
#define  CLISTP_STATUS_BOX                17      /* control type: textBox, callback function: (none) */
#define  CLISTP_IF_ERROR                  18      /* control type: ring, callback function: (none) */
#define  CLISTP_RESUME_CTRL_THREAD        19      /* control type: command, callback function: commandButtons */
#define  CLISTP_RESET_CTRL_THREAD         20      /* control type: command, callback function: commandButtons */
#define  CLISTP_DECORATION_12             21      /* control type: deco, callback function: (none) */
#define  CLISTP_DECORATION                22      /* control type: deco, callback function: (none) */
#define  CLISTP_TEXTMSG_3                 23      /* control type: textMsg, callback function: (none) */

#define  DSPMONP                          2
#define  DSPMONP_SLOT_NUM                 2       /* control type: numeric, callback function: (none) */
#define  DSPMONP_HOST_INDEX               3       /* control type: numeric, callback function: (none) */
#define  DSPMONP_STATUS_REG_2             4       /* control type: numeric, callback function: dspMonitor */
#define  DSPMONP_STATUS_REG_1             5       /* control type: numeric, callback function: dspMonitor */
#define  DSPMONP_HCMD_REG                 6       /* control type: numeric, callback function: dspMonitor */
#define  DSPMONP_TRAP_CMD_STAT            7       /* control type: numeric, callback function: dspMonitor */
#define  DSPMONP_INTR_DSP_HSHK_WR         8       /* control type: numeric, callback function: dspMonitor */
#define  DSPMONP_INTR_DSP_HSHK_RD         9       /* control type: numeric, callback function: dspMonitor */
#define  DSPMONP_RESERVED_REG_4           10      /* control type: numeric, callback function: dspMonitor */
#define  DSPMONP_RESERVED_REG_5           11      /* control type: numeric, callback function: dspMonitor */
#define  DSPMONP_RESERVED_REG_6           12      /* control type: numeric, callback function: dspMonitor */
#define  DSPMONP_TASK_STATE_REG           13      /* control type: numeric, callback function: dspMonitor */
#define  DSPMONP_RESERVED_REG_2           14      /* control type: numeric, callback function: dspMonitor */
#define  DSPMONP_RESERVED_REG_3           15      /* control type: numeric, callback function: dspMonitor */
#define  DSPMONP_RESERVED_REG_1           16      /* control type: numeric, callback function: dspMonitor */
#define  DSPMONP_RESERVED_REG_0           17      /* control type: numeric, callback function: dspMonitor */
#define  DSPMONP_HSTAT_REG_1              18      /* control type: numeric, callback function: dspMonitor */
#define  DSPMONP_HSTAT_REG_0              19      /* control type: numeric, callback function: dspMonitor */
#define  DSPMONP_HCMD_STAT_REG_1          20      /* control type: numeric, callback function: dspMonitor */
#define  DSPMONP_HCMD_STAT_REG_0          21      /* control type: numeric, callback function: dspMonitor */
#define  DSPMONP_LOOP_REG                 22      /* control type: numeric, callback function: dspMonitor */
#define  DSPMONP_TRAPSTAT_REG_1           23      /* control type: numeric, callback function: dspMonitor */
#define  DSPMONP_TRAPSTAT_REG_0           24      /* control type: numeric, callback function: dspMonitor */
#define  DSPMONP_DIAGNOSTIC_REG           25      /* control type: numeric, callback function: dspMonitor */
#define  DSPMONP_COMMAND_REG_0            26      /* control type: numeric, callback function: dspMonitor */
#define  DSPMONP_STATUS_REG_0             27      /* control type: numeric, callback function: dspMonitor */
#define  DSPMONP_CURR_VAL                 28      /* control type: numeric, callback function: (none) */
#define  DSPMONP_EDIT_FIELD               29      /* control type: numeric, callback function: dspMonitor */
#define  DSPMONP_BIT_31                   30      /* control type: textButton, callback function: dspMonitor */
#define  DSPMONP_BIT_30                   31      /* control type: textButton, callback function: dspMonitor */
#define  DSPMONP_BIT_29                   32      /* control type: textButton, callback function: dspMonitor */
#define  DSPMONP_RBIT_31                  33      /* control type: LED, callback function: dspMonitor */
#define  DSPMONP_RBIT_30                  34      /* control type: LED, callback function: dspMonitor */
#define  DSPMONP_RBIT_29                  35      /* control type: LED, callback function: dspMonitor */
#define  DSPMONP_RBIT_28                  36      /* control type: LED, callback function: dspMonitor */
#define  DSPMONP_RBIT_27                  37      /* control type: LED, callback function: dspMonitor */
#define  DSPMONP_RBIT_26                  38      /* control type: LED, callback function: dspMonitor */
#define  DSPMONP_RBIT_25                  39      /* control type: LED, callback function: dspMonitor */
#define  DSPMONP_RBIT_23                  40      /* control type: LED, callback function: dspMonitor */
#define  DSPMONP_RBIT_24                  41      /* control type: LED, callback function: dspMonitor */
#define  DSPMONP_RBIT_22                  42      /* control type: LED, callback function: dspMonitor */
#define  DSPMONP_RBIT_21                  43      /* control type: LED, callback function: dspMonitor */
#define  DSPMONP_RBIT_20                  44      /* control type: LED, callback function: dspMonitor */
#define  DSPMONP_RBIT_19                  45      /* control type: LED, callback function: dspMonitor */
#define  DSPMONP_RBIT_18                  46      /* control type: LED, callback function: dspMonitor */
#define  DSPMONP_RBIT_15                  47      /* control type: LED, callback function: dspMonitor */
#define  DSPMONP_RBIT_17                  48      /* control type: LED, callback function: dspMonitor */
#define  DSPMONP_RBIT_16                  49      /* control type: LED, callback function: dspMonitor */
#define  DSPMONP_RBIT_14                  50      /* control type: LED, callback function: dspMonitor */
#define  DSPMONP_RBIT_13                  51      /* control type: LED, callback function: dspMonitor */
#define  DSPMONP_RBIT_12                  52      /* control type: LED, callback function: dspMonitor */
#define  DSPMONP_RBIT_11                  53      /* control type: LED, callback function: dspMonitor */
#define  DSPMONP_RBIT_7                   54      /* control type: LED, callback function: dspMonitor */
#define  DSPMONP_RBIT_10                  55      /* control type: LED, callback function: dspMonitor */
#define  DSPMONP_RBIT_9                   56      /* control type: LED, callback function: dspMonitor */
#define  DSPMONP_RBIT_8                   57      /* control type: LED, callback function: dspMonitor */
#define  DSPMONP_RBIT_6                   58      /* control type: LED, callback function: dspMonitor */
#define  DSPMONP_RBIT_5                   59      /* control type: LED, callback function: dspMonitor */
#define  DSPMONP_RBIT_4                   60      /* control type: LED, callback function: dspMonitor */
#define  DSPMONP_RBIT_3                   61      /* control type: LED, callback function: dspMonitor */
#define  DSPMONP_RBIT_2                   62      /* control type: LED, callback function: dspMonitor */
#define  DSPMONP_RBIT_1                   63      /* control type: LED, callback function: dspMonitor */
#define  DSPMONP_RBIT_0                   64      /* control type: LED, callback function: dspMonitor */
#define  DSPMONP_BIT_28                   65      /* control type: textButton, callback function: dspMonitor */
#define  DSPMONP_BIT_27                   66      /* control type: textButton, callback function: dspMonitor */
#define  DSPMONP_BIT_26                   67      /* control type: textButton, callback function: dspMonitor */
#define  DSPMONP_BIT_24                   68      /* control type: textButton, callback function: dspMonitor */
#define  DSPMONP_BIT_25                   69      /* control type: textButton, callback function: dspMonitor */
#define  DSPMONP_BIT_23                   70      /* control type: textButton, callback function: dspMonitor */
#define  DSPMONP_BIT_22                   71      /* control type: textButton, callback function: dspMonitor */
#define  DSPMONP_BIT_21                   72      /* control type: textButton, callback function: dspMonitor */
#define  DSPMONP_BIT_20                   73      /* control type: textButton, callback function: dspMonitor */
#define  DSPMONP_BIT_19                   74      /* control type: textButton, callback function: dspMonitor */
#define  DSPMONP_BIT_18                   75      /* control type: textButton, callback function: dspMonitor */
#define  DSPMONP_BIT_16                   76      /* control type: textButton, callback function: dspMonitor */
#define  DSPMONP_BIT_17                   77      /* control type: textButton, callback function: dspMonitor */
#define  DSPMONP_BIT_7                    78      /* control type: textButton, callback function: dspMonitor */
#define  DSPMONP_BIT_15                   79      /* control type: textButton, callback function: dspMonitor */
#define  DSPMONP_BIT_6                    80      /* control type: textButton, callback function: dspMonitor */
#define  DSPMONP_BIT_14                   81      /* control type: textButton, callback function: dspMonitor */
#define  DSPMONP_BIT_5                    82      /* control type: textButton, callback function: dspMonitor */
#define  DSPMONP_BIT_13                   83      /* control type: textButton, callback function: dspMonitor */
#define  DSPMONP_BIT_4                    84      /* control type: textButton, callback function: dspMonitor */
#define  DSPMONP_BIT_12                   85      /* control type: textButton, callback function: dspMonitor */
#define  DSPMONP_BIT_3                    86      /* control type: textButton, callback function: dspMonitor */
#define  DSPMONP_BIT_11                   87      /* control type: textButton, callback function: dspMonitor */
#define  DSPMONP_BIT_2                    88      /* control type: textButton, callback function: dspMonitor */
#define  DSPMONP_BIT_10                   89      /* control type: textButton, callback function: dspMonitor */
#define  DSPMONP_COPY                     90      /* control type: command, callback function: dspMonitor */
#define  DSPMONP_WRITE                    91      /* control type: command, callback function: dspMonitor */
#define  DSPMONP_VIEW_CRDH                92      /* control type: command, callback function: dspMonitor */
#define  DSPMONP_READ_REGS                93      /* control type: command, callback function: dspMonitor */
#define  DSPMONP_BIT_0                    94      /* control type: textButton, callback function: dspMonitor */
#define  DSPMONP_BIT_8                    95      /* control type: textButton, callback function: dspMonitor */
#define  DSPMONP_BIT_1                    96      /* control type: textButton, callback function: dspMonitor */
#define  DSPMONP_BIT_9                    97      /* control type: textButton, callback function: dspMonitor */
#define  DSPMONP_REGISTERS_RING_READ      98      /* control type: ring, callback function: dspMonitor */
#define  DSPMONP_DSP_TYPE                 99      /* control type: ring, callback function: (none) */
#define  DSPMONP_REGISTERS_RING_WRITE     100     /* control type: ring, callback function: (none) */
#define  DSPMONP_TEXTMSG                  101     /* control type: textMsg, callback function: (none) */
#define  DSPMONP_TEXTMSG_2                102     /* control type: textMsg, callback function: (none) */
#define  DSPMONP_TEXTMSG_3                103     /* control type: textMsg, callback function: (none) */
#define  DSPMONP_TEXTMSG_4                104     /* control type: textMsg, callback function: (none) */

#define  ERROR_PAN                        3
#define  ERROR_PAN_NO                     2       /* control type: command, callback function: shutErrorPanel */
#define  ERROR_PAN_OK                     3       /* control type: command, callback function: shutErrorPanel */
#define  ERROR_PAN_SHOW_ERROR_WINDOW      4       /* control type: radioButton, callback function: (none) */
#define  ERROR_PAN_PICTURE                5       /* control type: picture, callback function: (none) */
#define  ERROR_PAN_TEXTMSG_2              6       /* control type: textMsg, callback function: (none) */
#define  ERROR_PAN_TEXTMSG                7       /* control type: textMsg, callback function: (none) */

#define  GRAPHP                           4
#define  GRAPHP_CLOSE                     2       /* control type: command, callback function: closeGraph */
#define  GRAPHP_GRAPH                     3       /* control type: graph, callback function: (none) */

#define  MAIN                             5
#define  MAIN_ACTIVE_SLOT                 2       /* control type: numeric, callback function: (none) */
#define  MAIN_ROD_COUNTER                 3       /* control type: numeric, callback function: (none) */
#define  MAIN_SHOW_ERROR_WINDOW           4       /* control type: radioButton, callback function: (none) */
#define  MAIN_COMM_LOOP_PRIOR             5       /* control type: ring, callback function: setThreadPriorityOpt */
#define  MAIN_VME_BYTE_ORDER              6       /* control type: ring, callback function: globalOptions */
#define  MAIN_UIR_PRIORITY                7       /* control type: ring, callback function: setThreadPriorityOpt */
#define  MAIN_TEXTBUFF_TIMEOUT            8       /* control type: numeric, callback function: setTimeout */
#define  MAIN_CONTROL_PRIOR               9       /* control type: ring, callback function: setThreadPriorityOpt */
#define  MAIN_CMDLISTEXEC_21              10      /* control type: LED, callback function: (none) */
#define  MAIN_CMDLISTEXEC_20              11      /* control type: LED, callback function: (none) */
#define  MAIN_CMDLISTEXEC_19              12      /* control type: LED, callback function: (none) */
#define  MAIN_CMDLISTEXEC_18              13      /* control type: LED, callback function: (none) */
#define  MAIN_CMDLISTEXEC_17              14      /* control type: LED, callback function: (none) */
#define  MAIN_CMDLISTEXEC_16              15      /* control type: LED, callback function: (none) */
#define  MAIN_CMDLISTEXEC_15              16      /* control type: LED, callback function: (none) */
#define  MAIN_CMDLISTEXEC_14              17      /* control type: LED, callback function: (none) */
#define  MAIN_CMDLISTEXEC_13              18      /* control type: LED, callback function: (none) */
#define  MAIN_CMDLISTEXEC_12              19      /* control type: LED, callback function: (none) */
#define  MAIN_CMDLISTEXEC_11              20      /* control type: LED, callback function: (none) */
#define  MAIN_CMDLISTEXEC_10              21      /* control type: LED, callback function: (none) */
#define  MAIN_CMDLISTEXEC_5               22      /* control type: LED, callback function: (none) */
#define  MAIN_CMDLISTEXEC_6               23      /* control type: LED, callback function: (none) */
#define  MAIN_CMDLISTEXEC_7               24      /* control type: LED, callback function: (none) */
#define  MAIN_CMDLISTEXEC_8               25      /* control type: LED, callback function: (none) */
#define  MAIN_CMDLISTEXEC_9               26      /* control type: LED, callback function: (none) */
#define  MAIN_EDIT_PLIST                  27      /* control type: command, callback function: sendListToAll */
#define  MAIN_EDIT_CLIST                  28      /* control type: command, callback function: sendListToAll */
#define  MAIN_DEL_CLIST_FROM_RING         29      /* control type: command, callback function: commandRingFunc */
#define  MAIN_ADD_CLIST_TO_RING           30      /* control type: command, callback function: commandRingFunc */
#define  MAIN_DEL_PLIST_FROM_RING         31      /* control type: command, callback function: primRingFunc */
#define  MAIN_EXT_LIST_TYPE               32      /* control type: ring, callback function: (none) */
#define  MAIN_IF_ERROR                    33      /* control type: ring, callback function: (none) */
#define  MAIN_ADD_PLIST_TO_RING           34      /* control type: command, callback function: primRingFunc */
#define  MAIN_DSP_MONITOR_PERIOD          35      /* control type: numeric, callback function: setTimeout */
#define  MAIN_FPGA_MONITOR_PERIOD         36      /* control type: numeric, callback function: setTimeout */
#define  MAIN_REFRESH_PERIOD              37      /* control type: numeric, callback function: setTimeout */
#define  MAIN_ROD_INIT_TIMEOUT            38      /* control type: numeric, callback function: setTimeout */
#define  MAIN_DSP_ACK_CLEAR_TIMEOUT       39      /* control type: numeric, callback function: setTimeout */
#define  MAIN_DEFAULT_SLOT                40      /* control type: ring, callback function: globalOptions */
#define  MAIN_SLOT_NUMBER                 41      /* control type: ring, callback function: (none) */
#define  MAIN_DSP_ACK_SET_TIMEOUT         42      /* control type: numeric, callback function: setTimeout */
#define  MAIN_PLIST_RING                  43      /* control type: ring, callback function: primRingFunc */
#define  MAIN_CLIST_RING                  44      /* control type: ring, callback function: commandRingFunc */
#define  MAIN_DSP_SET_TIMEOUT             45      /* control type: binary, callback function: globalOptions */
#define  MAIN_REPEAT_BUILD_EXEC           46      /* control type: binary, callback function: (none) */
#define  MAIN_COMM_LOOP_RUNNING           47      /* control type: textButton, callback function: globalOptions */
#define  MAIN_CLIST_FILE                  48      /* control type: string, callback function: sendListToAll */
#define  MAIN_SEND_COMMAND_LIST           49      /* control type: command, callback function: sendListToAll */
#define  MAIN_PLIST_FILE                  50      /* control type: string, callback function: sendListToAll */
#define  MAIN_SEND_LIST                   51      /* control type: command, callback function: sendListToAll */
#define  MAIN_HOSTS_RUNNING               52      /* control type: textButton, callback function: globalOptions */
#define  MAIN_CLIST_REP                   53      /* control type: numeric, callback function: (none) */
#define  MAIN_PLIST_REP                   54      /* control type: numeric, callback function: (none) */
#define  MAIN_PIXEL_NOT_SCT               55      /* control type: ring, callback function: (none) */
#define  MAIN_RESET_ALL                   56      /* control type: command, callback function: resetAllRods */
#define  MAIN_SYS_RESET                   57      /* control type: command, callback function: sysReset */
#define  MAIN_RUN_RESMAN                  58      /* control type: command, callback function: runResman */
#define  MAIN_RST_CTRL                    59      /* control type: command, callback function: resetAllControlThreads */
#define  MAIN_REFRESH_DISP                60      /* control type: slide, callback function: globalOptions */
#define  MAIN_CHECKSUM_SLAVE              61      /* control type: textButton, callback function: globalOptions */
#define  MAIN_DSP_MONITOR_REFRESH         62      /* control type: textButton, callback function: globalOptions */
#define  MAIN_CHECKSUM_MASTER             63      /* control type: textButton, callback function: globalOptions */
#define  MAIN_FPGA_MONITOR_REFRESH        64      /* control type: textButton, callback function: globalOptions */
#define  MAIN_SAVE_LISTS_OPTION           65      /* control type: textButton, callback function: globalOptions */
#define  MAIN_EXT_EXEC                    66      /* control type: LED, callback function: (none) */
#define  MAIN_TEXTMSG_2                   67      /* control type: textMsg, callback function: (none) */
#define  MAIN_DECORATION_3                68      /* control type: deco, callback function: (none) */
#define  MAIN_TEXTMSG_3                   69      /* control type: textMsg, callback function: (none) */
#define  MAIN_ERROR_TIMER                 70      /* control type: timer, callback function: errorTimer */
#define  MAIN_TEXTMSG_5                   71      /* control type: textMsg, callback function: (none) */
#define  MAIN_TEXTMSG_6                   72      /* control type: textMsg, callback function: (none) */
#define  MAIN_TEXTMSG                     73      /* control type: textMsg, callback function: (none) */
#define  MAIN_DECORATION_2                74      /* control type: deco, callback function: (none) */
#define  MAIN_TEXTMSG_18                  75      /* control type: textMsg, callback function: (none) */
#define  MAIN_TEXTMSG_23                  76      /* control type: textMsg, callback function: (none) */
#define  MAIN_TEXTMSG_10                  77      /* control type: textMsg, callback function: (none) */
#define  MAIN_DECORATION                  78      /* control type: deco, callback function: (none) */
#define  MAIN_DECORATION_7                79      /* control type: deco, callback function: (none) */
#define  MAIN_TEXTMSG_9                   80      /* control type: textMsg, callback function: (none) */
#define  MAIN_TEXTMSG_11                  81      /* control type: textMsg, callback function: (none) */
#define  MAIN_TEXTMSG_7                   82      /* control type: textMsg, callback function: (none) */
#define  MAIN_TEXTMSG_25                  83      /* control type: textMsg, callback function: (none) */
#define  MAIN_TEXTMSG_30                  84      /* control type: textMsg, callback function: (none) */
#define  MAIN_TEXTMSG_29                  85      /* control type: textMsg, callback function: (none) */
#define  MAIN_TEXTMSG_24                  86      /* control type: textMsg, callback function: (none) */
#define  MAIN_TEXTMSG_26                  87      /* control type: textMsg, callback function: (none) */
#define  MAIN_TEXTMSG_4                   88      /* control type: textMsg, callback function: (none) */
#define  MAIN_DECORATION_4                89      /* control type: deco, callback function: (none) */
#define  MAIN_DECORATION_8                90      /* control type: deco, callback function: (none) */
#define  MAIN_DECORATION_9                91      /* control type: deco, callback function: (none) */
#define  MAIN_TEXTMSG_27                  92      /* control type: textMsg, callback function: (none) */
#define  MAIN_TEXTMSG_28                  93      /* control type: textMsg, callback function: (none) */
#define  MAIN_DECORATION_10               94      /* control type: deco, callback function: (none) */

#define  NEWROD_PN                        6
#define  NEWROD_PN_CANCEL                 2       /* control type: command, callback function: slotNumberWindow */
#define  NEWROD_PN_OK                     3       /* control type: command, callback function: slotNumberWindow */
#define  NEWROD_PN_SLOT_21                4       /* control type: radioButton, callback function: (none) */
#define  NEWROD_PN_SLOT_20                5       /* control type: radioButton, callback function: (none) */
#define  NEWROD_PN_SLOT_19                6       /* control type: radioButton, callback function: (none) */
#define  NEWROD_PN_SLOT_18                7       /* control type: radioButton, callback function: (none) */
#define  NEWROD_PN_SLOT_17                8       /* control type: radioButton, callback function: (none) */
#define  NEWROD_PN_SLOT_16                9       /* control type: radioButton, callback function: (none) */
#define  NEWROD_PN_SLOT_15                10      /* control type: radioButton, callback function: (none) */
#define  NEWROD_PN_SLOT_14                11      /* control type: radioButton, callback function: (none) */
#define  NEWROD_PN_SLOT_5                 12      /* control type: radioButton, callback function: (none) */
#define  NEWROD_PN_SLOT_12                13      /* control type: radioButton, callback function: (none) */
#define  NEWROD_PN_SLOT_11                14      /* control type: radioButton, callback function: (none) */
#define  NEWROD_PN_SLOT_10                15      /* control type: radioButton, callback function: (none) */
#define  NEWROD_PN_SLOT_9                 16      /* control type: radioButton, callback function: (none) */
#define  NEWROD_PN_SLOT_8                 17      /* control type: radioButton, callback function: (none) */
#define  NEWROD_PN_SLOT_7                 18      /* control type: radioButton, callback function: (none) */
#define  NEWROD_PN_SLOT_6                 19      /* control type: radioButton, callback function: (none) */
#define  NEWROD_PN_SELECT_ALL             20      /* control type: binary, callback function: selectAll */
#define  NEWROD_PN_TEXTMSG                21      /* control type: textMsg, callback function: (none) */

#define  ROD                              7
#define  ROD_COMMAND_REG_4                2       /* control type: LED, callback function: (none) */
#define  ROD_STAT_REG_6                   3       /* control type: LED, callback function: (none) */
#define  ROD_COMMAND_REG_3                4       /* control type: LED, callback function: (none) */
#define  ROD_COMMAND_REG_2                5       /* control type: LED, callback function: (none) */
#define  ROD_COMMAND_REG_10               6       /* control type: LED, callback function: (none) */
#define  ROD_COMMAND_REG_1                7       /* control type: LED, callback function: (none) */
#define  ROD_COMMAND_REG_0                8       /* control type: LED, callback function: (none) */
#define  ROD_COMMAND_REG_5                9       /* control type: LED, callback function: (none) */
#define  ROD_STAT_REG_7                   10      /* control type: LED, callback function: (none) */
#define  ROD_STAT_REG_0                   11      /* control type: LED, callback function: (none) */
#define  ROD_STAT_REG_5                   12      /* control type: LED, callback function: (none) */
#define  ROD_EDIT_PLIST                   13      /* control type: command, callback function: sendList */
#define  ROD_STAT_REG_1                   14      /* control type: LED, callback function: (none) */
#define  ROD_COMMAND_REG_7                15      /* control type: LED, callback function: (none) */
#define  ROD_COMMAND_REG_6                16      /* control type: LED, callback function: (none) */
#define  ROD_STAT_REG_11                  17      /* control type: LED, callback function: (none) */
#define  ROD_STAT_REG_9                   18      /* control type: LED, callback function: (none) */
#define  ROD_STAT_REG_4                   19      /* control type: LED, callback function: (none) */
#define  ROD_REPEAT_BUILD_EXEC            20      /* control type: binary, callback function: hostOptions */
#define  ROD_STAT_REG_8                   21      /* control type: LED, callback function: (none) */
#define  ROD_VME_COMM_REG0                22      /* control type: numeric, callback function: (none) */
#define  ROD_STAT_REG_10                  23      /* control type: LED, callback function: (none) */
#define  ROD_LIST_FILE                    24      /* control type: string, callback function: sendList */
#define  ROD_SEND_LIST                    25      /* control type: command, callback function: sendList */
#define  ROD_ROD_REV                      26      /* control type: numeric, callback function: (none) */
#define  ROD_ROD_SN                       27      /* control type: numeric, callback function: (none) */
#define  ROD_ROD_STAT_REG0                28      /* control type: numeric, callback function: (none) */
#define  ROD_LIST_REPEAT_COUNTER          29      /* control type: numeric, callback function: (none) */
#define  ROD_NUMBER_OF_LIST_REP           30      /* control type: numeric, callback function: changeNumberOfListRep */
#define  ROD_RESET_REP_NUM                31      /* control type: command, callback function: hostOptions */
#define  ROD_STAT_REG_3                   32      /* control type: LED, callback function: (none) */
#define  ROD_STAT_REG_2                   33      /* control type: LED, callback function: (none) */
#define  ROD_SLAVE3                       34      /* control type: LED, callback function: (none) */
#define  ROD_SLAVE2                       35      /* control type: LED, callback function: (none) */
#define  ROD_SLAVE1                       36      /* control type: LED, callback function: (none) */
#define  ROD_SLAVE0                       37      /* control type: LED, callback function: (none) */
#define  ROD_ROD_STAT_REG1                38      /* control type: numeric, callback function: (none) */
#define  ROD_LIST_INDEX                   39      /* control type: numeric, callback function: (none) */
#define  ROD_READ_STATUS                  40      /* control type: command, callback function: hostOptions */
#define  ROD_SLOT_NUMBER                  41      /* control type: numeric, callback function: (none) */
#define  ROD_XFERBUFF_READRQ_OPT          42      /* control type: textButton, callback function: hostOptions */
#define  ROD_WIN_SIZE                     43      /* control type: textButton, callback function: hostOptions */
#define  ROD_ERRBUFF_READRQ_OPT           44      /* control type: textButton, callback function: hostOptions */
#define  ROD_INFOBUFF_READRQ_OPT          45      /* control type: textButton, callback function: hostOptions */
#define  ROD_DIAGBUFF_READRQ_OPT          46      /* control type: textButton, callback function: hostOptions */
#define  ROD_DMA_REQ_BUTTON               47      /* control type: textButton, callback function: hostOptions */
#define  ROD_RESUME_BUTTON                48      /* control type: textButton, callback function: hostOptions */
#define  ROD_PAUSE_BUTTON                 49      /* control type: textButton, callback function: hostOptions */
#define  ROD_ABORT_BUTTON                 50      /* control type: textButton, callback function: hostOptions */
#define  ROD_HOST_RUNNING                 51      /* control type: textButton, callback function: hostEnabledAndInit */
#define  ROD_MDSP_SP0                     52      /* control type: ring, callback function: (none) */
#define  ROD_MEMORY                       53      /* control type: ring, callback function: (none) */
#define  ROD_PIXEL_NOT_SCT                54      /* control type: ring, callback function: (none) */
#define  ROD_TEST_PATH                    55      /* control type: LED, callback function: (none) */
#define  ROD_TRAP_EN_DSP3                 56      /* control type: LED, callback function: (none) */
#define  ROD_TRAP_EN_DSP2                 57      /* control type: LED, callback function: (none) */
#define  ROD_TRAP_EN_DSP1                 58      /* control type: LED, callback function: (none) */
#define  ROD_TRAP_LD3                     59      /* control type: LED, callback function: (none) */
#define  ROD_TRAP_FF3                     60      /* control type: LED, callback function: (none) */
#define  ROD_TRAP_LD2                     61      /* control type: LED, callback function: (none) */
#define  ROD_TRAP_EF3                     62      /* control type: LED, callback function: (none) */
#define  ROD_TRAP_LD1                     63      /* control type: LED, callback function: (none) */
#define  ROD_TRAP_FF2                     64      /* control type: LED, callback function: (none) */
#define  ROD_TRAP_LD0                     65      /* control type: LED, callback function: (none) */
#define  ROD_TRAP_ON3                     66      /* control type: LED, callback function: (none) */
#define  ROD_TRAP_FF1                     67      /* control type: LED, callback function: (none) */
#define  ROD_TRAP_EF2                     68      /* control type: LED, callback function: (none) */
#define  ROD_TRAP_FF0                     69      /* control type: LED, callback function: (none) */
#define  ROD_TRAP_ON2                     70      /* control type: LED, callback function: (none) */
#define  ROD_TRAP_EF1                     71      /* control type: LED, callback function: (none) */
#define  ROD_TRAP_ON1                     72      /* control type: LED, callback function: (none) */
#define  ROD_TRAP_EF0                     73      /* control type: LED, callback function: (none) */
#define  ROD_TRAP_ON0                     74      /* control type: LED, callback function: (none) */
#define  ROD_TRAP_EN_DSP0                 75      /* control type: LED, callback function: (none) */
#define  ROD_EVID_ERROR                   76      /* control type: LED, callback function: (none) */
#define  ROD_EM_FULL_1                    77      /* control type: LED, callback function: (none) */
#define  ROD_EM_EMPTY_1                   78      /* control type: LED, callback function: (none) */
#define  ROD_EM_FULL_0                    79      /* control type: LED, callback function: (none) */
#define  ROD_EM_EMPTY_0                   80      /* control type: LED, callback function: (none) */
#define  ROD_FIFO_EFB_FULL                81      /* control type: LED, callback function: (none) */
#define  ROD_FIFO_1_FULL                  82      /* control type: LED, callback function: (none) */
#define  ROD_FIFO_0_FULL                  83      /* control type: LED, callback function: (none) */
#define  ROD_ALL_ZERO                     84      /* control type: LED, callback function: (none) */
#define  ROD_ROD_BUSY_0                   85      /* control type: LED, callback function: (none) */
#define  ROD_ROD_BUSY_1                   86      /* control type: LED, callback function: (none) */
#define  ROD_HT_LIMIT_0                   87      /* control type: LED, callback function: (none) */
#define  ROD_HT_LIMIT_1                   88      /* control type: LED, callback function: (none) */
#define  ROD_TEST_BENCH_RUN               89      /* control type: LED, callback function: (none) */
#define  ROD_DEBUG_FIFO                   90      /* control type: LED, callback function: (none) */
#define  ROD_TEST_BENCH                   91      /* control type: LED, callback function: (none) */
#define  ROD_EFB_DM                       92      /* control type: LED, callback function: (none) */
#define  ROD_FORM_MB                      93      /* control type: LED, callback function: (none) */
#define  ROD_CAL_SIGNAL_DEC               94      /* control type: LED, callback function: (none) */
#define  ROD_TRG_SIGNAL_DEC               95      /* control type: LED, callback function: (none) */
#define  ROD_CMD_MASK_READY               96      /* control type: LED, callback function: (none) */
#define  ROD_FE_CMD_PULSE_COUNT           97      /* control type: LED, callback function: (none) */
#define  ROD_FE_OCCUP                     98      /* control type: LED, callback function: (none) */
#define  ROD_FE_CMD_PLS_COUNTER           99      /* control type: numeric, callback function: (none) */
#define  ROD_INTERNAL_TIM                 100     /* control type: LED, callback function: (none) */
#define  ROD_IN_MEM                       101     /* control type: LED, callback function: (none) */
#define  ROD_DEBUG_MEM                    102     /* control type: LED, callback function: (none) */
#define  ROD_CORR_TRIGGER                 103     /* control type: LED, callback function: (none) */
#define  ROD_FORM_MB_EFB                  104     /* control type: LED, callback function: (none) */
#define  ROD_FE_CMD_OUT                   105     /* control type: LED, callback function: (none) */
#define  ROD_DATA_PATH                    106     /* control type: LED, callback function: (none) */
#define  ROD_MASK1_1                      107     /* control type: numeric, callback function: (none) */
#define  ROD_MASK0_1                      108     /* control type: numeric, callback function: (none) */
#define  ROD_MASK1_0                      109     /* control type: numeric, callback function: (none) */
#define  ROD_MASK0_0                      110     /* control type: numeric, callback function: (none) */
#define  ROD_TRAP3                        111     /* control type: ring, callback function: (none) */
#define  ROD_TRAP2                        112     /* control type: ring, callback function: (none) */
#define  ROD_TRAP1                        113     /* control type: ring, callback function: (none) */
#define  ROD_MODE                         114     /* control type: ring, callback function: (none) */
#define  ROD_FORMAT3                      115     /* control type: ring, callback function: (none) */
#define  ROD_FORMAT2                      116     /* control type: ring, callback function: (none) */
#define  ROD_FORMAT1                      117     /* control type: ring, callback function: (none) */
#define  ROD_FORMAT0                      118     /* control type: ring, callback function: (none) */
#define  ROD_TRAP0                        119     /* control type: ring, callback function: (none) */
#define  ROD_HOST_INDEX                   120     /* control type: numeric, callback function: (none) */
#define  ROD_POLL_RFIELD_WIDTH            121     /* control type: numeric, callback function: (none) */
#define  ROD_LINK                         122     /* control type: numeric, callback function: (none) */
#define  ROD_SAMPLES                      123     /* control type: numeric, callback function: (none) */
#define  ROD_POLL_RFIELD_OBJECT_ID        124     /* control type: numeric, callback function: (none) */
#define  ROD_POLL_RFIELD_OFFSET           125     /* control type: numeric, callback function: (none) */
#define  ROD_DESIRED_VALUE                126     /* control type: numeric, callback function: (none) */
#define  ROD_POLL_RFIELD_INDEX            127     /* control type: numeric, callback function: (none) */
#define  ROD_POLL_RFIELD_TIME             128     /* control type: string, callback function: (none) */
#define  ROD_TEST_RESULT                  129     /* control type: numeric, callback function: (none) */
#define  ROD_TGR_INDEX                    130     /* control type: numeric, callback function: (none) */
#define  ROD_TGR_TIME                     131     /* control type: string, callback function: (none) */
#define  ROD_WIDTH                        132     /* control type: numeric, callback function: (none) */
#define  ROD_OBJECT_ID                    133     /* control type: numeric, callback function: (none) */
#define  ROD_OFFSET                       134     /* control type: numeric, callback function: (none) */
#define  ROD_DATA_OUT                     135     /* control type: numeric, callback function: (none) */
#define  ROD_RWFIELD_INDEX                136     /* control type: numeric, callback function: (none) */
#define  ROD_RWFIELD_TIME                 137     /* control type: string, callback function: (none) */
#define  ROD_ERRMSG_MASK                  138     /* control type: numeric, callback function: (none) */
#define  ROD_ERRMSGMASK_INDEX             139     /* control type: numeric, callback function: (none) */
#define  ROD_ERRMSGMASK_TIME              140     /* control type: string, callback function: (none) */
#define  ROD_MEM_TEST_START               141     /* control type: numeric, callback function: (none) */
#define  ROD_MEM_TEST_RETURN_CODE         142     /* control type: numeric, callback function: (none) */
#define  ROD_MEM_TEST_SIZE                143     /* control type: numeric, callback function: (none) */
#define  ROD_MEM_TEST_INDEX               144     /* control type: numeric, callback function: (none) */
#define  ROD_MEM_TEST_TIME                145     /* control type: string, callback function: (none) */
#define  ROD_OVERFLOW                     146     /* control type: LED, callback function: (none) */
#define  ROD_NOT_FOUND                    147     /* control type: LED, callback function: (none) */
#define  ROD_RWREG_DISP                   148     /* control type: radioButton, callback function: (none) */
#define  ROD_TOTAL_TIME                   149     /* control type: numeric, callback function: (none) */
#define  ROD_SAMPLING_TIME                150     /* control type: numeric, callback function: (none) */
#define  ROD_SAVE_DATA                    151     /* control type: radioButton, callback function: (none) */
#define  ROD_POLL_DISP                    152     /* control type: radioButton, callback function: (none) */
#define  ROD_CAPTURE                      153     /* control type: textButton, callback function: (none) */
#define  ROD_FEOCC_NOT_FIFOWC             154     /* control type: binary, callback function: (none) */
#define  ROD_HSETUP                       155     /* control type: table, callback function: (none) */
#define  ROD_DECORATION_4                 156     /* control type: deco, callback function: (none) */
#define  ROD_TEXTMSG_13                   157     /* control type: textMsg, callback function: (none) */
#define  ROD_TEXTMSG_5                    158     /* control type: textMsg, callback function: (none) */
#define  ROD_DECORATION_7                 159     /* control type: deco, callback function: (none) */
#define  ROD_TEXTMSG_14                   160     /* control type: textMsg, callback function: (none) */
#define  ROD_DECORATION_8                 161     /* control type: deco, callback function: (none) */
#define  ROD_TEXTMSG_2                    162     /* control type: textMsg, callback function: (none) */
#define  ROD_TEXTMSG_18                   163     /* control type: textMsg, callback function: (none) */
#define  ROD_TEXTMSG                      164     /* control type: textMsg, callback function: (none) */
#define  ROD_DECORATION_10                165     /* control type: deco, callback function: (none) */
#define  ROD_DECORATION                   166     /* control type: deco, callback function: (none) */
#define  ROD_TEXTMSG_26                   167     /* control type: textMsg, callback function: (none) */
#define  ROD_TEXTMSG_21                   168     /* control type: textMsg, callback function: (none) */
#define  ROD_TEXTMSG_22                   169     /* control type: textMsg, callback function: (none) */
#define  ROD_TEXTMSG_24                   170     /* control type: textMsg, callback function: (none) */
#define  ROD_TEXTMSG_28                   171     /* control type: textMsg, callback function: (none) */
#define  ROD_TEXTMSG_27                   172     /* control type: textMsg, callback function: (none) */
#define  ROD_TEXTMSG_29                   173     /* control type: textMsg, callback function: (none) */
#define  ROD_TEXTMSG_31                   174     /* control type: textMsg, callback function: (none) */
#define  ROD_TEXTMSG_33                   175     /* control type: textMsg, callback function: (none) */
#define  ROD_TEXTMSG_34                   176     /* control type: textMsg, callback function: (none) */
#define  ROD_TEXTMSG_36                   177     /* control type: textMsg, callback function: (none) */
#define  ROD_TEXTMSG_38                   178     /* control type: textMsg, callback function: (none) */
#define  ROD_TEXTMSG_10                   179     /* control type: textMsg, callback function: (none) */
#define  ROD_TEXTMSG_41                   180     /* control type: textMsg, callback function: (none) */
#define  ROD_DECORATION_14                181     /* control type: deco, callback function: (none) */
#define  ROD_TEXTMSG_47                   182     /* control type: textMsg, callback function: (none) */
#define  ROD_TEXTMSG_23                   183     /* control type: textMsg, callback function: (none) */
#define  ROD_TEXTMSG_25                   184     /* control type: textMsg, callback function: (none) */
#define  ROD_TEXTMSG_9                    185     /* control type: textMsg, callback function: (none) */
#define  ROD_TEXTMSG_40                   186     /* control type: textMsg, callback function: (none) */
#define  ROD_TEXTMSG_8                    187     /* control type: textMsg, callback function: (none) */
#define  ROD_TEXTMSG_46                   188     /* control type: textMsg, callback function: (none) */
#define  ROD_TEXTMSG_49                   189     /* control type: textMsg, callback function: (none) */
#define  ROD_TEXTMSG_50                   190     /* control type: textMsg, callback function: (none) */
#define  ROD_DECORATION_6                 191     /* control type: deco, callback function: (none) */
#define  ROD_TEXTMSG_45                   192     /* control type: textMsg, callback function: (none) */
#define  ROD_TEXTMSG_48                   193     /* control type: textMsg, callback function: (none) */
#define  ROD_DECORATION_13                194     /* control type: deco, callback function: (none) */
#define  ROD_TEXTMSG_39                   195     /* control type: textMsg, callback function: (none) */
#define  ROD_TEXTMSG_3                    196     /* control type: textMsg, callback function: (none) */
#define  ROD_TEXTMSG_53                   197     /* control type: textMsg, callback function: (none) */
#define  ROD_TEXTMSG_51                   198     /* control type: textMsg, callback function: (none) */
#define  ROD_TEXTMSG_52                   199     /* control type: textMsg, callback function: (none) */
#define  ROD_DECORATION_5                 200     /* control type: deco, callback function: (none) */
#define  ROD_TEXTMSG_30                   201     /* control type: textMsg, callback function: (none) */
#define  ROD_TEXTMSG_32                   202     /* control type: textMsg, callback function: (none) */
#define  ROD_TEXTMSG_35                   203     /* control type: textMsg, callback function: (none) */
#define  ROD_TEXTMSG_37                   204     /* control type: textMsg, callback function: (none) */
#define  ROD_TEXTMSG_54                   205     /* control type: textMsg, callback function: (none) */
#define  ROD_DECORATION_2                 206     /* control type: deco, callback function: (none) */
#define  ROD_DECORATION_15                207     /* control type: deco, callback function: (none) */
#define  ROD_TEXTMSG_16                   208     /* control type: textMsg, callback function: (none) */
#define  ROD_TEXTMSG_4                    209     /* control type: textMsg, callback function: (none) */
#define  ROD_TEXTMSG_17                   210     /* control type: textMsg, callback function: (none) */
#define  ROD_DECORATION_3                 211     /* control type: deco, callback function: (none) */
#define  ROD_DECORATION_9                 212     /* control type: deco, callback function: (none) */

#define  TEXT_PANEL                       8
#define  TEXT_PANEL_HOST_INDEX            2       /* control type: numeric, callback function: (none) */
#define  TEXT_PANEL_TEXTBOX               3       /* control type: textBox, callback function: (none) */
#define  TEXT_PANEL_OVERFLOW              4       /* control type: LED, callback function: (none) */
#define  TEXT_PANEL_OVERWRITE             5       /* control type: LED, callback function: (none) */
#define  TEXT_PANEL_TXTBUFF_MODE          6       /* control type: ring, callback function: (none) */


     /* Control Arrays: */

          /* (no control arrays in the resource file) */


     /* Menu Bars, Menus, and Menu Items: */

#define  CSTAT_MENU                       1
#define  CSTAT_MENU_CLEAR_STATUS_WINDOW   2       /* callback function: commandStatusMenu */
#define  CSTAT_MENU_OPEN_STATUS_FILE      3       /* callback function: commandStatusMenu */
#define  CSTAT_MENU_CMD_LIST_EDITOR       4       /* callback function: commandStatusMenu */
#define  CSTAT_MENU_CLOSE_WINDOW          5       /* callback function: commandStatusMenu */

#define  DSPMON                           2
#define  DSPMON_HIDE                      2       /* callback function: dspMonMenu */

#define  MAIN_MENU                        3
#define  MAIN_MENU_LOAD_ROD               2       /* callback function: mainMenu */
#define  MAIN_MENU_PARAMS                 3
#define  MAIN_MENU_PARAMS_SAVE_RINGS      4       /* callback function: mainMenu */
#define  MAIN_MENU_PARAMS_LOAD_RINGS      5       /* callback function: mainMenu */
#define  MAIN_MENU_PARAMS_SET             6       /* callback function: mainMenu */
#define  MAIN_MENU_PARAMS_LOAD            7       /* callback function: mainMenu */
#define  MAIN_MENU_SHOW_ERROR_FILE        8       /* callback function: mainMenu */
#define  MAIN_MENU_LIST_EDIT              9
#define  MAIN_MENU_LIST_EDIT_PRIM         10      /* callback function: mainMenu */
#define  MAIN_MENU_LIST_EDIT_COMMAND      11      /* callback function: mainMenu */
#define  MAIN_MENU_MEM_ACCESS             12
#define  MAIN_MENU_MEM_ACCESS_TIM         13      /* callback function: mainMenu */
#define  MAIN_MENU_MEM_ACCESS_VME         14      /* callback function: mainMenu */
#define  MAIN_MENU_MEM_ACCESS_MASTER_DSP  15      /* callback function: mainMenu */
#define  MAIN_MENU_MEM_ACCESS_SLAVE_DSP   16      /* callback function: mainMenu */
#define  MAIN_MENU_MEM_ACCESS_FPGA        17      /* callback function: mainMenu */
#define  MAIN_MENU_MEM_ACCESS_FLASH       18      /* callback function: mainMenu */
#define  MAIN_MENU_MEM_ACCESS_VIEW_BIN_FI 19      /* callback function: mainMenu */
#define  MAIN_MENU_QUIT                   20      /* callback function: mainMenu */
#define  MAIN_MENU_HELP                   21      /* callback function: mainMenu */

#define  RODN_MENU                        4
#define  RODN_MENU_GO_TO_MAIN             2       /* callback function: hostMenu */
#define  RODN_MENU_LIST_EDIT              3
#define  RODN_MENU_LIST_EDIT_PRIM         4       /* callback function: hostMenu */
#define  RODN_MENU_LIST_EDIT_COMMAND      5       /* callback function: hostMenu */
#define  RODN_MENU_SHOW_TXT_WIND          6
#define  RODN_MENU_SHOW_TXT_WIND_ERROR    7       /* callback function: hostMenu */
#define  RODN_MENU_SHOW_TXT_WIND_INFO     8       /* callback function: hostMenu */
#define  RODN_MENU_SHOW_TXT_WIND_DIAG     9       /* callback function: hostMenu */
#define  RODN_MENU_SHOW_TXT_WIND_XFER     10      /* callback function: hostMenu */
#define  RODN_MENU_COMMAND_WINDOW         11      /* callback function: hostMenu */
#define  RODN_MENU_DSP_MON                12      /* callback function: hostMenu */
#define  RODN_MENU_ROD_DATA               13      /* callback function: hostMenu */
#define  RODN_MENU_RESET                  14
#define  RODN_MENU_RESET_ROD              15      /* callback function: hostMenu */
#define  RODN_MENU_EXIT_ROD               16      /* callback function: hostMenu */

#define  TXT_BUFF                         5
#define  TXT_BUFF_CLEAR_WINDOW            2       /* callback function: txtBuffWindowMenu */
#define  TXT_BUFF_OPEN_TXT_FILE           3       /* callback function: txtBuffWindowMenu */
#define  TXT_BUFF_CLOSE_WINDOW            4       /* callback function: txtBuffWindowMenu */


     /* Callback Prototypes: */

int  CVICALLBACK changeNumberOfListRep(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK closeGraph(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK commandButtons(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK commandRingFunc(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK commandStatusMenu(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK dspMonitor(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK dspMonMenu(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK errorTimer(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK globalOptions(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK hostEnabledAndInit(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK hostMenu(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK hostOptions(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK mainMenu(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK primRingFunc(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK resetAllControlThreads(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK resetAllRods(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK runResman(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK selectAll(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK sendList(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK sendListToAll(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK setThreadPriorityOpt(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK setTimeout(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK shutErrorPanel(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK slotNumberWindow(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK sysReset(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK txtBuffWindowMenu(int menubar, int menuItem, void *callbackData, int panel);


#ifdef __cplusplus
    }
#endif
