/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 2003. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  LIST_EDIT                       1
#define  LIST_EDIT_PRIM_RING_SLAVE       2       /* callback function: primRing */
#define  LIST_EDIT_PRIM_RING_MASTER      3       /* callback function: primRing */
#define  LIST_EDIT_CLEAR_LCOMM           4       /* callback function: listEditWindowButtons */
#define  LIST_EDIT_CLEAR_PCOMM           5       /* callback function: listEditWindowButtons */
#define  LIST_EDIT_CLEAR_LIST            6       /* callback function: listEditWindowButtons */
#define  LIST_EDIT_SAVE_LIST             7       /* callback function: listEditWindowButtons */
#define  LIST_EDIT_LOAD_LIST             8       /* callback function: listEditWindowButtons */
#define  LIST_EDIT_INSERT_LIST           9       /* callback function: listEditWindowButtons */
#define  LIST_EDIT_SEND_LIST             10      /* callback function: listEditWindowButtons */
#define  LIST_EDIT_REPLACE               11      /* callback function: listEditWindowButtons */
#define  LIST_EDIT_ADD_AFTER             12      /* callback function: listEditWindowButtons */
#define  LIST_EDIT_ADD_BEFORE            13      /* callback function: listEditWindowButtons */
#define  LIST_EDIT_REPLIST_LENGTH        14
#define  LIST_EDIT_REPPRIM_COUNT         15
#define  LIST_EDIT_ALL_PRIM_COUNT        16
#define  LIST_EDIT_PRIM_COUNT            17
#define  LIST_EDIT_PRIMLIST_LENGTH       18
#define  LIST_EDIT_EDIT_PRIMITIVE        19      /* callback function: listEditWindowButtons */
#define  LIST_EDIT_DELETE_PRIMITIVE      20      /* callback function: listEditWindowButtons */
#define  LIST_EDIT_LIST_TABLE            21      /* callback function: listEditWindowButtons */
#define  LIST_EDIT_DSP                   22
#define  LIST_EDIT_SLOT_NUMBER           23
#define  LIST_EDIT_PRIM_COMMENT          24
#define  LIST_EDIT_LIST_COMMENT          25
#define  LIST_EDIT_LAST_FILE             26
#define  LIST_EDIT_PLIST_REP             27
#define  LIST_EDIT_TEXTMSG_2             28
#define  LIST_EDIT_TEXTMSG_3             29
#define  LIST_EDIT_TEXTMSG_4             30
#define  LIST_EDIT_TEXTMSG               31
#define  LIST_EDIT_DECORATION_3          32
#define  LIST_EDIT_TEXTMSG_6             33
#define  LIST_EDIT_TEXTMSG_7             34
#define  LIST_EDIT_TEXTMSG_8             35
#define  LIST_EDIT_TEXTMSG_9             36
#define  LIST_EDIT_TEXTMSG_5             37
#define  LIST_EDIT_TEXTMSG_11            38
#define  LIST_EDIT_TEXTMSG_12            39
#define  LIST_EDIT_TEXTMSG_13            40
#define  LIST_EDIT_TEXTMSG_14            41
#define  LIST_EDIT_TEXTMSG_10            42

#define  SLAVE_LST                       2
#define  SLAVE_LST_REPLIST_LENGTH        2
#define  SLAVE_LST_REPPRIM_COUNT         3
#define  SLAVE_LST_CLEAR_LIST            4       /* callback function: listEditWindowButtons */
#define  SLAVE_LST_SAVE_LIST             5       /* callback function: listEditWindowButtons */
#define  SLAVE_LST_LOAD_LIST             6       /* callback function: listEditWindowButtons */
#define  SLAVE_LST_PRIM_COUNT            7
#define  SLAVE_LST_REPLACE               8       /* callback function: listEditWindowButtons */
#define  SLAVE_LST_ADD_AFTER             9       /* callback function: listEditWindowButtons */
#define  SLAVE_LST_ADD_BEFORE            10      /* callback function: listEditWindowButtons */
#define  SLAVE_LST_PRIMLIST_LENGTH       11
#define  SLAVE_LST_LIST_TABLE            12      /* callback function: listEditWindowButtons */
#define  SLAVE_LST_SLIST_DONE            13      /* callback function: listEditWindowButtons */
#define  SLAVE_LST_EDIT_PRIMITIVE        14      /* callback function: listEditWindowButtons */
#define  SLAVE_LST_DELETE_PRIMITIVE      15      /* callback function: listEditWindowButtons */
#define  SLAVE_LST_LAST_FILE             16
#define  SLAVE_LST_TEXTMSG_2             17
#define  SLAVE_LST_TEXTMSG               18


     /* Menu Bars, Menus, and Menu Items: */

#define  LIST_EDITM                      1
#define  LIST_EDITM_GOTO_MAIN            2       /* callback function: listEditMenu */
#define  LIST_EDITM_COMM_LIST_EDIT       3       /* callback function: listEditMenu */
#define  LIST_EDITM_DATA_FILE_CREATOR    4       /* callback function: listEditMenu */
#define  LIST_EDITM_REVISION_UPDATE      5       /* callback function: listEditMenu */
#define  LIST_EDITM_CLOSE                6       /* callback function: listEditMenu */


     /* Callback Prototypes: */ 

void CVICALLBACK listEditMenu(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK listEditWindowButtons(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK primRing(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
